#include <knewstuff2_includes.h>

#include <smoke.h>
#include <knewstuff2_smoke.h>

namespace __smokeknewstuff2 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComponentData
      switch(to) {
        case 4: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 5:   //KGuiItem
      switch(to) {
        case 5: return (void*)(KGuiItem*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KNS::Author
      switch(to) {
        case 7: return (void*)(KNS::Author*)xptr;
        default: return xptr;
      }
    case 8:   //KNS::Button
      switch(to) {
        case 12: return (void*)(KPushButton*)(KNS::Button*)xptr;
        case 64: return (void*)(QPushButton*)(KNS::Button*)xptr;
        case 15: return (void*)(QAbstractButton*)(KNS::Button*)xptr;
        case 85: return (void*)(QWidget*)(KNS::Button*)xptr;
        case 54: return (void*)(QObject*)(KNS::Button*)xptr;
        case 8: return (void*)(KNS::Button*)xptr;
        default: return xptr;
      }
    case 9:   //KNS::Engine
      switch(to) {
        case 9: return (void*)(KNS::Engine*)xptr;
        default: return xptr;
      }
    case 10:   //KNS::Entry
      switch(to) {
        case 10: return (void*)(KNS::Entry*)xptr;
        default: return xptr;
      }
    case 11:   //KNS::KTranslatable
      switch(to) {
        case 11: return (void*)(KNS::KTranslatable*)xptr;
        default: return xptr;
      }
    case 12:   //KPushButton
      switch(to) {
        case 64: return (void*)(QPushButton*)(KPushButton*)xptr;
        case 15: return (void*)(QAbstractButton*)(KPushButton*)xptr;
        case 85: return (void*)(QWidget*)(KPushButton*)xptr;
        case 54: return (void*)(QObject*)(KPushButton*)xptr;
        case 12: return (void*)(KPushButton*)xptr;
        case 8: return (void*)(KNS::Button*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 13:   //KSharedConfig
      switch(to) {
        case 13: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 14:   //KStandardDirs
      switch(to) {
        case 14: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 15:   //QAbstractButton
      switch(to) {
        case 85: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 54: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 15: return (void*)(QAbstractButton*)xptr;
        case 8: return (void*)(KNS::Button*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 16:   //QActionEvent
      switch(to) {
        case 16: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QBool
      switch(to) {
        case 17: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 18:   //QBrush
      switch(to) {
        case 18: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 19:   //QByteArray
      switch(to) {
        case 19: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 20:   //QChar
      switch(to) {
        case 20: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 21:   //QChildEvent
      switch(to) {
        case 21: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QCloseEvent
      switch(to) {
        case 22: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QColor
      switch(to) {
        case 23: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 24:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QCursor
      switch(to) {
        case 25: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 26:   //QDataStream
      switch(to) {
        case 26: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 27:   //QDate
      switch(to) {
        case 27: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 28:   //QDateTime
      switch(to) {
        case 28: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //QDrag
      switch(to) {
        case 29: return (void*)(QDrag*)xptr;
        default: return xptr;
      }
    case 30:   //QDragEnterEvent
      switch(to) {
        case 30: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QDragLeaveEvent
      switch(to) {
        case 31: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QDragMoveEvent
      switch(to) {
        case 32: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QDropEvent
      switch(to) {
        case 33: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QEvent
      switch(to) {
        case 34: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QFocusEvent
      switch(to) {
        case 35: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QFont
      switch(to) {
        case 36: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 38:   //QHashDummyValue
      switch(to) {
        case 38: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 39:   //QHideEvent
      switch(to) {
        case 39: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QIcon
      switch(to) {
        case 40: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 41:   //QImage
      switch(to) {
        case 41: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 42:   //QIncompatibleFlag
      switch(to) {
        case 42: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 43:   //QInputMethodEvent
      switch(to) {
        case 43: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeyEvent
      switch(to) {
        case 44: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QKeySequence
      switch(to) {
        case 45: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 46:   //QLatin1String
      switch(to) {
        case 46: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 47:   //QLine
      switch(to) {
        case 47: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 48:   //QLineF
      switch(to) {
        case 48: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 49:   //QMargins
      switch(to) {
        case 49: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 50:   //QMatrix
      switch(to) {
        case 50: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 51:   //QMetaObject
      switch(to) {
        case 51: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 52:   //QMouseEvent
      switch(to) {
        case 52: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QMoveEvent
      switch(to) {
        case 53: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QObject
      switch(to) {
        case 54: return (void*)(QObject*)xptr;
        case 8: return (void*)(KNS::Button*)(QObject*)xptr;
        default: return xptr;
      }
    case 55:   //QPaintEngine
      switch(to) {
        case 55: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 56:   //QPaintEvent
      switch(to) {
        case 56: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QPainterPath
      switch(to) {
        case 57: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 58:   //QPalette
      switch(to) {
        case 58: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 59:   //QPixmap
      switch(to) {
        case 59: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 60:   //QPoint
      switch(to) {
        case 60: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 61:   //QPointF
      switch(to) {
        case 61: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 62:   //QPolygon
      switch(to) {
        case 62: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 63:   //QPolygonF
      switch(to) {
        case 63: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 64:   //QPushButton
      switch(to) {
        case 15: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 85: return (void*)(QWidget*)(QPushButton*)xptr;
        case 54: return (void*)(QObject*)(QPushButton*)xptr;
        case 64: return (void*)(QPushButton*)xptr;
        case 8: return (void*)(KNS::Button*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 65:   //QRect
      switch(to) {
        case 65: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 66:   //QRectF
      switch(to) {
        case 66: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 67:   //QRegExp
      switch(to) {
        case 67: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 68:   //QRegion
      switch(to) {
        case 68: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 69:   //QResizeEvent
      switch(to) {
        case 69: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QShowEvent
      switch(to) {
        case 70: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QSize
      switch(to) {
        case 71: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 72:   //QSizeF
      switch(to) {
        case 72: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 73:   //QSizePolicy
      switch(to) {
        case 73: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 74:   //QString::Null
      switch(to) {
        case 74: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 75:   //QStringRef
      switch(to) {
        case 75: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 76:   //QStyle
      switch(to) {
        case 76: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 77:   //QTabletEvent
      switch(to) {
        case 77: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QTime
      switch(to) {
        case 78: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 79:   //QTimerEvent
      switch(to) {
        case 79: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QTransform
      switch(to) {
        case 80: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 81:   //QUrl
      switch(to) {
        case 81: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 82:   //QVariant
      switch(to) {
        case 82: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 83:   //QVariantComparisonHelper
      switch(to) {
        case 83: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 84:   //QWheelEvent
      switch(to) {
        case 84: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QWidget
      switch(to) {
        case 54: return (void*)(QObject*)(QWidget*)xptr;
        case 85: return (void*)(QWidget*)xptr;
        case 8: return (void*)(KNS::Button*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    12, 0,	// 1: KPushButton
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KNS__Entry(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KNS__Author(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__Engine(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__Entry(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS__KTranslatable(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//4
    { "KGuiItem", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KNS::Author", false, 0, xcall_KNS__Author, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS::Author) },	//7
    { "KNS::Button", false, 1, xcall_KNS__Button, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS::Button) },	//8
    { "KNS::Engine", false, 0, xcall_KNS__Engine, 0, Smoke::cf_constructor, sizeof(KNS::Engine) },	//9
    { "KNS::Entry", false, 0, xcall_KNS__Entry, xenum_KNS__Entry, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS::Entry) },	//10
    { "KNS::KTranslatable", false, 0, xcall_KNS__KTranslatable, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS::KTranslatable) },	//11
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//12
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//13
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//14
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//15
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//16
    { "QBool", true, 0, 0, 0, 0, 0 },	//17
    { "QBrush", true, 0, 0, 0, 0, 0 },	//18
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//19
    { "QChar", true, 0, 0, 0, 0, 0 },	//20
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QColor", true, 0, 0, 0, 0, 0 },	//23
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QCursor", true, 0, 0, 0, 0, 0 },	//25
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//26
    { "QDate", true, 0, 0, 0, 0, 0 },	//27
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//28
    { "QDrag", true, 0, 0, 0, 0, 0 },	//29
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QFont", true, 0, 0, 0, 0, 0 },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//38
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QIcon", true, 0, 0, 0, 0, 0 },	//40
    { "QImage", true, 0, 0, 0, 0, 0 },	//41
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//42
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//45
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//46
    { "QLine", true, 0, 0, 0, 0, 0 },	//47
    { "QLineF", true, 0, 0, 0, 0, 0 },	//48
    { "QMargins", true, 0, 0, 0, 0, 0 },	//49
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//50
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//51
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QObject", true, 0, 0, 0, 0, 0 },	//54
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//55
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//57
    { "QPalette", true, 0, 0, 0, 0, 0 },	//58
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//59
    { "QPoint", true, 0, 0, 0, 0, 0 },	//60
    { "QPointF", true, 0, 0, 0, 0, 0 },	//61
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//62
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//63
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//64
    { "QRect", true, 0, 0, 0, 0, 0 },	//65
    { "QRectF", true, 0, 0, 0, 0, 0 },	//66
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//67
    { "QRegion", true, 0, 0, 0, 0, 0 },	//68
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QSize", true, 0, 0, 0, 0, 0 },	//71
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//72
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//73
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//74
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//75
    { "QStyle", true, 0, 0, 0, 0, 0 },	//76
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QTime", true, 0, 0, 0, 0, 0 },	//78
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QTransform", true, 0, 0, 0, 0, 0 },	//80
    { "QUrl", true, 0, 0, 0, 0, 0 },	//81
    { "QVariant", true, 0, 0, 0, 0, 0 },	//82
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//83
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QWidget", true, 0, 0, 0, 0, 0 },	//85
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KGuiItem", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//8
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KNS::Author", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "KNS::Author&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "KNS::Author*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KNS::Button*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KNS::Engine*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KNS::Entry&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "KNS::Entry*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KNS::Entry::Source", 10, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KNS::Entry::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KNS::KTranslatable", 11, Smoke::t_class|Smoke::tf_stack },	//19
    { "KNS::KTranslatable&", 11, Smoke::t_class|Smoke::tf_ref },	//20
    { "KNS::KTranslatable*", 11, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KSharedConfig", 13, Smoke::t_class|Smoke::tf_stack },	//22
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//23
    { "KStandardDirs*", 14, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KStandardGuiItem::BidiMode", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KStandardGuiItem::StandardItem", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QActionEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QBool", 17, Smoke::t_class|Smoke::tf_stack },	//33
    { "QBrush&", 18, Smoke::t_class|Smoke::tf_ref },	//34
    { "QByteArray&", 19, Smoke::t_class|Smoke::tf_ref },	//35
    { "QChar", 20, Smoke::t_class|Smoke::tf_stack },	//36
    { "QChar&", 20, Smoke::t_class|Smoke::tf_ref },	//37
    { "QChildEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QCloseEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QColor&", 23, Smoke::t_class|Smoke::tf_ref },	//40
    { "QContextMenuEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QCursor&", 25, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDataStream&", 26, Smoke::t_class|Smoke::tf_ref },	//43
    { "QDate", 27, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDate&", 27, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDateTime&", 28, Smoke::t_class|Smoke::tf_ref },	//46
    { "QDrag*", 29, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QDragEnterEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDragLeaveEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDragMoveEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDropEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFocusEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QFont&", 36, Smoke::t_class|Smoke::tf_ref },	//80
    { "QHideEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QIcon&", 40, Smoke::t_class|Smoke::tf_ref },	//83
    { "QImage&", 41, Smoke::t_class|Smoke::tf_ref },	//84
    { "QIncompatibleFlag", 42, Smoke::t_class|Smoke::tf_stack },	//85
    { "QInputMethodEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QKeyEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QKeySequence&", 45, Smoke::t_class|Smoke::tf_ref },	//88
    { "QLine", 47, Smoke::t_class|Smoke::tf_stack },	//89
    { "QLine&", 47, Smoke::t_class|Smoke::tf_ref },	//90
    { "QLineF", 48, Smoke::t_class|Smoke::tf_stack },	//91
    { "QLineF&", 48, Smoke::t_class|Smoke::tf_ref },	//92
    { "QList<KNS::Entry*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QMatrix&", 50, Smoke::t_class|Smoke::tf_ref },	//95
    { "QMetaObject::Call", 51, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QMouseEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QMoveEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QObject*", 54, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QPaintEngine*", 55, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QPaintEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QPainterPath", 57, Smoke::t_class|Smoke::tf_stack },	//103
    { "QPainterPath&", 57, Smoke::t_class|Smoke::tf_ref },	//104
    { "QPair<KGuiItem,KGuiItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QPalette&", 58, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPixmap&", 59, Smoke::t_class|Smoke::tf_ref },	//107
    { "QPoint", 60, Smoke::t_class|Smoke::tf_stack },	//108
    { "QPoint&", 60, Smoke::t_class|Smoke::tf_ref },	//109
    { "QPointF", 61, Smoke::t_class|Smoke::tf_stack },	//110
    { "QPointF&", 61, Smoke::t_class|Smoke::tf_ref },	//111
    { "QPolygon", 62, Smoke::t_class|Smoke::tf_stack },	//112
    { "QPolygon&", 62, Smoke::t_class|Smoke::tf_ref },	//113
    { "QPolygonF", 63, Smoke::t_class|Smoke::tf_stack },	//114
    { "QPolygonF&", 63, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRect&", 65, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRectF&", 66, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRegExp&", 67, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegion", 68, Smoke::t_class|Smoke::tf_stack },	//119
    { "QRegion&", 68, Smoke::t_class|Smoke::tf_ref },	//120
    { "QResizeEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QShowEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QSize", 71, Smoke::t_class|Smoke::tf_stack },	//123
    { "QSize&", 71, Smoke::t_class|Smoke::tf_ref },	//124
    { "QSizeF&", 72, Smoke::t_class|Smoke::tf_ref },	//125
    { "QSizePolicy&", 73, Smoke::t_class|Smoke::tf_ref },	//126
    { "QSizePolicy::ControlType", 73, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//129
    { "QString::Null", 74, Smoke::t_class|Smoke::tf_stack },	//130
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//132
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//133
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//134
    { "QStyle&", 76, Smoke::t_class|Smoke::tf_ref },	//135
    { "QTabletEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QTime&", 78, Smoke::t_class|Smoke::tf_ref },	//137
    { "QTimerEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QTransform", 80, Smoke::t_class|Smoke::tf_stack },	//139
    { "QTransform&", 80, Smoke::t_class|Smoke::tf_ref },	//140
    { "QUrl&", 81, Smoke::t_class|Smoke::tf_ref },	//141
    { "QUrl::FormattingOption", 81, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QVariant", 82, Smoke::t_class|Smoke::tf_stack },	//143
    { "QVariant&", 82, Smoke::t_class|Smoke::tf_ref },	//144
    { "QVariant::Type&", 82, Smoke::t_enum|Smoke::tf_ref },	//145
    { "QWheelEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QWidget*", 85, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QWidget::RenderFlag", 85, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForActiveQtModule", 37, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForCoreModule", 37, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForDBusModule", 37, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForDeclarativeModule", 37, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForGuiModule", 37, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForHelpModule", 37, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForMultimediaModule", 37, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForNetworkModule", 37, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForOpenGLModule", 37, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForOpenVGModule", 37, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForQt3SupportLightModule", 37, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForQt3SupportModule", 37, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForScriptModule", 37, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForScriptToolsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForSqlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForSvgModule", 37, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForTestModule", 37, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForXmlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForXmlPatternsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//240
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//241
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//242
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//243
    { "const KComponentData&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const KNS::Author&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const KNS::Entry&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const KNS::KTranslatable&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QBrush&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QByteArray", 19, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QByteArray&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QChar&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QColor&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QCursor&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDate&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QFont&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QHashDummyValue&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QIcon&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QImage&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QKeySequence&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QLatin1String&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QLine&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QLineF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QMargins&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QMatrix&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QMetaObject&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QMetaObject*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//267
    { "const QObject*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//268
    { "const QPainterPath&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QPalette&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QPixmap&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QPoint", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//272
    { "const QPoint&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QPointF", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//274
    { "const QPointF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QPolygon&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QPolygonF&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QRect&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRectF&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRegExp&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRegion&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QSize", 71, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//282
    { "const QSize&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QSizeF", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const QSizeF&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QSizePolicy&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//287
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const QStringRef&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QTime&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QTransform&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QUrl&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QVariant&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//296
    { "const QVariantComparisonHelper&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//298
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//300
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//301
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//302
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//303
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//304
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//305
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//306
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//307
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    245, 0,	//1  const KNS::Author&
    288, 0,	//3  const QString&
    298, 0,	//5  const char*
    298, 298, 0,	//7  const char*, const char*
    298, 298, 302, 0,	//10  const char*, const char*, int
    96, 302, 306, 0,	//14  QMetaObject::Call, int, void**
    288, 288, 288, 147, 0,	//18  const QString&, const QString&, const QString&, QWidget*
    147, 0,	//23  QWidget*
    99, 298, 0,	//25  QObject*, const char*
    246, 0,	//28  const KNS::Entry&
    247, 0,	//30  const KNS::KTranslatable&
    302, 0,	//32  int
    254, 0,	//34  const QDate&
    289, 0,	//36  const QStringList&
    18, 0,	//38  KNS::Entry::Status
    17, 0,	//40  KNS::Entry::Source
    288, 288, 0,	//42  const QString&, const QString&
    97, 0,	//45  QMouseEvent*
    102, 0,	//47  QPaintEvent*
    273, 0,	//49  const QPoint&
    87, 0,	//51  QKeyEvent*
    52, 0,	//53  QEvent*
    138, 0,	//55  QTimerEvent*
    169, 302, 0,	//57  Qt::DockWidgetArea, int
    273, 300, 0,	//60  const QPoint&, double
    300, 275, 0,	//63  double, const QPointF&
    193, 72, 0,	//66  Qt::MouseButton, QFlags<Qt::MouseButton>
    264, 264, 0,	//69  const QMargins&, const QMargins&
    300, 285, 0,	//72  double, const QSizeF&
    43, 84, 0,	//75  QDataStream&, QImage&
    43, 286, 0,	//78  QDataStream&, const QSizePolicy&
    182, 302, 0,	//81  Qt::InputMethodHint, int
    278, 278, 0,	//84  const QRect&, const QRect&
    283, 283, 0,	//87  const QSize&, const QSize&
    43, 293, 0,	//90  QDataStream&, const QTransform&
    275, 265, 0,	//93  const QPointF&, const QMatrix&
    262, 293, 0,	//96  const QLine&, const QTransform&
    219, 77, 0,	//99  Qt::WindowState, QFlags<Qt::WindowState>
    285, 300, 0,	//102  const QSizeF&, double
    43, 262, 0,	//105  QDataStream&, const QLine&
    298, 261, 0,	//108  const char*, const QLatin1String&
    285, 285, 0,	//111  const QSizeF&, const QSizeF&
    250, 250, 0,	//114  const QByteArray&, const QByteArray&
    261, 291, 0,	//117  const QLatin1String&, const QStringRef&
    193, 193, 0,	//120  Qt::MouseButton, Qt::MouseButton
    27, 53, 0,	//123  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    27, 27, 0,	//126  KUrl::CleanPathOption, KUrl::CleanPathOption
    295, 297, 0,	//129  const QVariant&, const QVariantComparisonHelper&
    33, 33, 0,	//132  QBool, QBool
    149, 63, 0,	//135  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    130, 130, 0,	//138  QString::Null, QString::Null
    43, 279, 0,	//141  QDataStream&, const QRectF&
    36, 288, 0,	//144  QChar, const QString&
    82, 58, 0,	//147  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    43, 270, 0,	//150  QDataStream&, const QPalette&
    8, 0,	//153  KIconLoader::Group&
    43, 250, 0,	//155  QDataStream&, const QByteArray&
    277, 293, 0,	//158  const QPolygonF&, const QTransform&
    210, 210, 0,	//161  Qt::ToolBarArea, Qt::ToolBarArea
    31, 302, 0,	//164  KUrl::QueryItemsOption, int
    148, 302, 0,	//167  QWidget::RenderFlag, int
    171, 302, 0,	//170  Qt::DropAction, int
    43, 289, 0,	//173  QDataStream&, const QStringList&
    29, 29, 0,	//176  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    149, 149, 0,	//179  Qt::AlignmentFlag, Qt::AlignmentFlag
    43, 40, 0,	//182  QDataStream&, QColor&
    43, 280, 0,	//185  QDataStream&, const QRegExp&
    142, 302, 0,	//188  QUrl::FormattingOption, int
    250, 298, 0,	//191  const QByteArray&, const char*
    28, 28, 0,	//194  KUrl::DirectoryOption, KUrl::DirectoryOption
    169, 64, 0,	//197  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    262, 265, 0,	//200  const QLine&, const QMatrix&
    28, 54, 0,	//203  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    263, 265, 0,	//206  const QLineF&, const QMatrix&
    195, 195, 0,	//209  Qt::Orientation, Qt::Orientation
    269, 265, 0,	//212  const QPainterPath&, const QMatrix&
    210, 302, 0,	//215  Qt::ToolBarArea, int
    43, 111, 0,	//218  QDataStream&, QPointF&
    191, 302, 0,	//221  Qt::MatchFlag, int
    43, 260, 0,	//224  QDataStream&, const QKeySequence&
    288, 298, 0,	//227  const QString&, const char*
    43, 253, 0,	//230  QDataStream&, const QCursor&
    176, 176, 0,	//233  Qt::GestureFlag, Qt::GestureFlag
    43, 45, 0,	//236  QDataStream&, QDate&
    82, 82, 0,	//239  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    243, 250, 0,	//242  char, const QByteArray&
    298, 288, 0,	//245  const char*, const QString&
    298, 250, 0,	//248  const char*, const QByteArray&
    43, 35, 0,	//251  QDataStream&, QByteArray&
    43, 144, 0,	//254  QDataStream&, QVariant&
    43, 118, 0,	//257  QDataStream&, QRegExp&
    275, 275, 0,	//260  const QPointF&, const QPointF&
    293, 300, 0,	//263  const QTransform&, double
    291, 291, 0,	//266  const QStringRef&, const QStringRef&
    36, 36, 0,	//269  QChar, QChar
    269, 293, 0,	//272  const QPainterPath&, const QTransform&
    43, 248, 0,	//275  QDataStream&, const QBrush&
    43, 120, 0,	//278  QDataStream&, QRegion&
    275, 300, 0,	//281  const QPointF&, double
    29, 302, 0,	//284  KUrl::EncodedPathAndQueryOption, int
    43, 254, 0,	//287  QDataStream&, const QDate&
    191, 71, 0,	//290  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    176, 302, 0,	//293  Qt::GestureFlag, int
    127, 127, 0,	//296  QSizePolicy::ControlType, QSizePolicy::ControlType
    43, 42, 0,	//299  QDataStream&, QCursor&
    188, 70, 0,	//302  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    191, 191, 0,	//305  Qt::MatchFlag, Qt::MatchFlag
    43, 140, 0,	//308  QDataStream&, QTransform&
    276, 265, 0,	//311  const QPolygon&, const QMatrix&
    288, 130, 0,	//314  const QString&, QString::Null
    43, 125, 0,	//317  QDataStream&, QSizeF&
    275, 0,	//320  const QPointF&
    185, 185, 0,	//322  Qt::ItemFlag, Qt::ItemFlag
    43, 271, 0,	//325  QDataStream&, const QPixmap&
    250, 288, 0,	//328  const QByteArray&, const QString&
    220, 78, 0,	//331  Qt::WindowType, QFlags<Qt::WindowType>
    275, 293, 0,	//334  const QPointF&, const QTransform&
    185, 69, 0,	//337  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    213, 76, 0,	//340  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    288, 243, 0,	//343  const QString&, char
    43, 294, 0,	//346  QDataStream&, const QUrl&
    127, 59, 0,	//349  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    43, 295, 0,	//352  QDataStream&, const QVariant&
    43, 90, 0,	//355  QDataStream&, QLine&
    188, 188, 0,	//358  Qt::KeyboardModifier, Qt::KeyboardModifier
    149, 302, 0,	//361  Qt::AlignmentFlag, int
    273, 265, 0,	//364  const QPoint&, const QMatrix&
    188, 302, 0,	//367  Qt::KeyboardModifier, int
    185, 302, 0,	//370  Qt::ItemFlag, int
    180, 67, 0,	//373  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    273, 273, 0,	//376  const QPoint&, const QPoint&
    131, 302, 0,	//379  QString::SectionFlag, int
    220, 302, 0,	//382  Qt::WindowType, int
    148, 148, 0,	//385  QWidget::RenderFlag, QWidget::RenderFlag
    291, 288, 0,	//388  const QStringRef&, const QString&
    261, 261, 0,	//391  const QLatin1String&, const QLatin1String&
    257, 257, 0,	//394  const QHashDummyValue&, const QHashDummyValue&
    30, 30, 0,	//397  KUrl::EqualsOption, KUrl::EqualsOption
    142, 142, 0,	//400  QUrl::FormattingOption, QUrl::FormattingOption
    43, 83, 0,	//403  QDataStream&, QIcon&
    43, 276, 0,	//406  QDataStream&, const QPolygon&
    213, 302, 0,	//409  Qt::TouchPointState, int
    148, 62, 0,	//412  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    291, 298, 0,	//415  const QStringRef&, const char*
    27, 302, 0,	//418  KUrl::CleanPathOption, int
    31, 31, 0,	//421  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    43, 263, 0,	//424  QDataStream&, const QLineF&
    43, 34, 0,	//427  QDataStream&, QBrush&
    43, 275, 0,	//430  QDataStream&, const QPointF&
    273, 301, 0,	//433  const QPoint&, float
    288, 291, 0,	//436  const QString&, const QStringRef&
    30, 302, 0,	//439  KUrl::EqualsOption, int
    127, 302, 0,	//442  QSizePolicy::ControlType, int
    43, 126, 0,	//445  QDataStream&, QSizePolicy&
    298, 291, 0,	//448  const char*, const QStringRef&
    43, 95, 0,	//451  QDataStream&, QMatrix&
    193, 302, 0,	//454  Qt::MouseButton, int
    43, 124, 0,	//457  QDataStream&, QSize&
    182, 182, 0,	//460  Qt::InputMethodHint, Qt::InputMethodHint
    43, 145, 0,	//463  QDataStream&, QVariant::Type&
    207, 74, 0,	//466  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    263, 293, 0,	//469  const QLineF&, const QTransform&
    291, 261, 0,	//472  const QStringRef&, const QLatin1String&
    43, 277, 0,	//475  QDataStream&, const QPolygonF&
    43, 285, 0,	//478  QDataStream&, const QSizeF&
    210, 75, 0,	//481  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    43, 256, 0,	//484  QDataStream&, const QFont&
    30, 56, 0,	//487  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    43, 265, 0,	//490  QDataStream&, const QMatrix&
    243, 288, 0,	//493  char, const QString&
    219, 219, 0,	//496  Qt::WindowState, Qt::WindowState
    142, 61, 0,	//499  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    43, 115, 0,	//502  QDataStream&, QPolygonF&
    43, 269, 0,	//505  QDataStream&, const QPainterPath&
    43, 106, 0,	//508  QDataStream&, QPalette&
    279, 279, 0,	//511  const QRectF&, const QRectF&
    300, 283, 0,	//514  double, const QSize&
    300, 273, 0,	//517  double, const QPoint&
    43, 273, 0,	//520  QDataStream&, const QPoint&
    43, 259, 0,	//523  QDataStream&, const QImage&
    250, 243, 0,	//526  const QByteArray&, char
    43, 80, 0,	//529  QDataStream&, QFont&
    131, 60, 0,	//532  QString::SectionFlag, QFlags<QString::SectionFlag>
    43, 283, 0,	//535  QDataStream&, const QSize&
    43, 117, 0,	//538  QDataStream&, QRectF&
    43, 251, 0,	//541  QDataStream&, const QChar&
    242, 33, 0,	//544  bool, QBool
    31, 57, 0,	//547  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    276, 293, 0,	//550  const QPolygon&, const QTransform&
    33, 242, 0,	//553  QBool, bool
    219, 302, 0,	//556  Qt::WindowState, int
    43, 133, 0,	//559  QDataStream&, QStringList&
    43, 278, 0,	//562  QDataStream&, const QRect&
    28, 302, 0,	//565  KUrl::DirectoryOption, int
    43, 281, 0,	//568  QDataStream&, const QRegion&
    169, 169, 0,	//571  Qt::DockWidgetArea, Qt::DockWidgetArea
    43, 252, 0,	//574  QDataStream&, const QColor&
    220, 220, 0,	//577  Qt::WindowType, Qt::WindowType
    283, 300, 0,	//580  const QSize&, double
    130, 288, 0,	//583  QString::Null, const QString&
    182, 68, 0,	//586  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    43, 109, 0,	//589  QDataStream&, QPoint&
    43, 46, 0,	//592  QDataStream&, QDateTime&
    43, 292, 0,	//595  QDataStream&, const QTime&
    43, 88, 0,	//598  QDataStream&, QKeySequence&
    281, 293, 0,	//601  const QRegion&, const QTransform&
    131, 131, 0,	//604  QString::SectionFlag, QString::SectionFlag
    82, 302, 0,	//607  QIODevice::OpenModeFlag, int
    302, 273, 0,	//610  int, const QPoint&
    176, 66, 0,	//613  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    277, 265, 0,	//616  const QPolygonF&, const QMatrix&
    43, 113, 0,	//619  QDataStream&, QPolygon&
    29, 55, 0,	//622  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    43, 129, 0,	//625  QDataStream&, QString&
    43, 288, 0,	//628  QDataStream&, const QString&
    43, 37, 0,	//631  QDataStream&, QChar&
    207, 207, 0,	//634  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    43, 107, 0,	//637  QDataStream&, QPixmap&
    288, 250, 0,	//640  const QString&, const QByteArray&
    43, 116, 0,	//643  QDataStream&, QRect&
    180, 302, 0,	//646  Qt::ImageConversionFlag, int
    43, 258, 0,	//649  QDataStream&, const QIcon&
    43, 296, 0,	//652  QDataStream&, const QVariant::Type
    43, 92, 0,	//655  QDataStream&, QLineF&
    43, 104, 0,	//658  QDataStream&, QPainterPath&
    213, 213, 0,	//661  Qt::TouchPointState, Qt::TouchPointState
    207, 302, 0,	//664  Qt::TextInteractionFlag, int
    273, 293, 0,	//667  const QPoint&, const QTransform&
    43, 255, 0,	//670  QDataStream&, const QDateTime&
    43, 137, 0,	//673  QDataStream&, QTime&
    273, 302, 0,	//676  const QPoint&, int
    180, 180, 0,	//679  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    171, 65, 0,	//682  Qt::DropAction, QFlags<Qt::DropAction>
    171, 171, 0,	//685  Qt::DropAction, Qt::DropAction
    195, 302, 0,	//688  Qt::Orientation, int
    281, 265, 0,	//691  const QRegion&, const QMatrix&
    301, 273, 0,	//694  float, const QPoint&
    43, 141, 0,	//697  QDataStream&, QUrl&
    288, 36, 0,	//700  const QString&, QChar
    195, 73, 0,	//703  Qt::Orientation, QFlags<Qt::Orientation>
    8, 302, 0,	//706  KIconLoader::Group&, int
    99, 52, 0,	//709  QObject*, QEvent*
    38, 0,	//712  QChildEvent*
    79, 0,	//714  QFocusEvent*
    242, 0,	//716  bool
    146, 0,	//718  QWheelEvent*
    98, 0,	//720  QMoveEvent*
    121, 0,	//722  QResizeEvent*
    39, 0,	//724  QCloseEvent*
    41, 0,	//726  QContextMenuEvent*
    136, 0,	//728  QTabletEvent*
    32, 0,	//730  QActionEvent*
    48, 0,	//732  QDragEnterEvent*
    50, 0,	//734  QDragMoveEvent*
    49, 0,	//736  QDragLeaveEvent*
    51, 0,	//738  QDropEvent*
    122, 0,	//740  QShowEvent*
    81, 0,	//742  QHideEvent*
    241, 0,	//744  _XEvent*
    100, 0,	//746  QPaintDevice::PaintDeviceMetric
    86, 0,	//748  QInputMethodEvent*
    183, 0,	//750  Qt::InputMethodQuery
    135, 0,	//752  QStyle&
    270, 0,	//754  const QPalette&
    256, 0,	//756  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Author",	//1
    "Author#",	//2
    "Button",	//3
    "Button#",	//4
    "Button$$$#",	//5
    "Cache",	//6
    "Deleted",	//7
    "Downloadable",	//8
    "DrawChildren",	//9
    "DrawWindowBackground",	//10
    "Engine",	//11
    "Engine#",	//12
    "Entry",	//13
    "Entry#",	//14
    "IgnoreMask",	//15
    "Installed",	//16
    "Invalid",	//17
    "KTranslatable",	//18
    "KTranslatable#",	//19
    "KTranslatable$",	//20
    "LicensedActiveQt",	//21
    "LicensedCore",	//22
    "LicensedDBus",	//23
    "LicensedDeclarative",	//24
    "LicensedGui",	//25
    "LicensedHelp",	//26
    "LicensedMultimedia",	//27
    "LicensedNetwork",	//28
    "LicensedOpenGL",	//29
    "LicensedOpenVG",	//30
    "LicensedQt3Support",	//31
    "LicensedQt3SupportLight",	//32
    "LicensedScript",	//33
    "LicensedScriptTools",	//34
    "LicensedSql",	//35
    "LicensedSvg",	//36
    "LicensedTest",	//37
    "LicensedXml",	//38
    "LicensedXmlPatterns",	//39
    "Online",	//40
    "Q_COMPLEX_TYPE",	//41
    "Q_DUMMY_TYPE",	//42
    "Q_MOVABLE_TYPE",	//43
    "Q_PRIMITIVE_TYPE",	//44
    "Q_STATIC_TYPE",	//45
    "QtCriticalMsg",	//46
    "QtDebugMsg",	//47
    "QtFatalMsg",	//48
    "QtSystemMsg",	//49
    "QtWarningMsg",	//50
    "Registry",	//51
    "Updateable",	//52
    "aboutToShowDialog",	//53
    "actionEvent",	//54
    "addString",	//55
    "addString$$",	//56
    "author",	//57
    "category",	//58
    "changeEvent",	//59
    "checkStateSet",	//60
    "checksum",	//61
    "childEvent",	//62
    "closeEvent",	//63
    "connectNotify",	//64
    "contextMenuEvent",	//65
    "customEvent",	//66
    "devType",	//67
    "dialogFinished",	//68
    "disconnectNotify",	//69
    "download",	//70
    "downloadDialog",	//71
    "downloadDialog#$",	//72
    "downloadDialogModal",	//73
    "downloadDialogModal#",	//74
    "downloads",	//75
    "dragEnterEvent",	//76
    "dragLeaveEvent",	//77
    "dragMoveEvent",	//78
    "dragObject",	//79
    "dropEvent",	//80
    "email",	//81
    "enabledChange",	//82
    "enterEvent",	//83
    "event",	//84
    "eventFilter",	//85
    "focusInEvent",	//86
    "focusNextPrevChild",	//87
    "focusOutEvent",	//88
    "fontChange",	//89
    "heightForWidth",	//90
    "hideEvent",	//91
    "hitButton",	//92
    "homepage",	//93
    "idNumber",	//94
    "init",	//95
    "init$",	//96
    "inputMethodEvent",	//97
    "inputMethodQuery",	//98
    "installedFiles",	//99
    "isEmpty",	//100
    "isTranslated",	//101
    "jabber",	//102
    "keyPressEvent",	//103
    "keyReleaseEvent",	//104
    "language",	//105
    "languageChange",	//106
    "languages",	//107
    "leaveEvent",	//108
    "license",	//109
    "metaObject",	//110
    "metric",	//111
    "minimumSizeHint",	//112
    "mouseDoubleClickEvent",	//113
    "mouseMoveEvent",	//114
    "mousePressEvent",	//115
    "mouseReleaseEvent",	//116
    "moveEvent",	//117
    "name",	//118
    "nextCheckState",	//119
    "operator!=",	//120
    "operator!=##",	//121
    "operator!=#$",	//122
    "operator!=$#",	//123
    "operator!=$$",	//124
    "operator*",	//125
    "operator*##",	//126
    "operator*#$",	//127
    "operator*$#",	//128
    "operator+",	//129
    "operator+##",	//130
    "operator+#$",	//131
    "operator+$#",	//132
    "operator+$$",	//133
    "operator++",	//134
    "operator++$",	//135
    "operator++$$",	//136
    "operator-",	//137
    "operator-#",	//138
    "operator-##",	//139
    "operator-#$",	//140
    "operator/",	//141
    "operator/#$",	//142
    "operator<",	//143
    "operator<##",	//144
    "operator<#$",	//145
    "operator<$#",	//146
    "operator<$$",	//147
    "operator<<",	//148
    "operator<<##",	//149
    "operator<<#$",	//150
    "operator<<#?",	//151
    "operator<=",	//152
    "operator<=##",	//153
    "operator<=#$",	//154
    "operator<=$#",	//155
    "operator<=$$",	//156
    "operator=",	//157
    "operator=#",	//158
    "operator==",	//159
    "operator==##",	//160
    "operator==#$",	//161
    "operator==$#",	//162
    "operator==$$",	//163
    "operator>",	//164
    "operator>##",	//165
    "operator>#$",	//166
    "operator>$#",	//167
    "operator>$$",	//168
    "operator>=",	//169
    "operator>=##",	//170
    "operator>=#$",	//171
    "operator>=$#",	//172
    "operator>=$$",	//173
    "operator>>",	//174
    "operator>>##",	//175
    "operator>>#$",	//176
    "operator>>#?",	//177
    "operator|",	//178
    "operator|$$",	//179
    "paintEngine",	//180
    "paintEvent",	//181
    "paletteChange",	//182
    "payload",	//183
    "preview",	//184
    "qt_metacall",	//185
    "qt_metacall$$?",	//186
    "qt_metacast",	//187
    "qt_metacast$",	//188
    "rating",	//189
    "release",	//190
    "releaseDate",	//191
    "representation",	//192
    "resizeEvent",	//193
    "setAuthor",	//194
    "setAuthor#",	//195
    "setButtonText",	//196
    "setButtonText$",	//197
    "setCategory",	//198
    "setCategory$",	//199
    "setChecksum",	//200
    "setChecksum$",	//201
    "setDownloads",	//202
    "setDownloads$",	//203
    "setEmail",	//204
    "setEmail$",	//205
    "setHomepage",	//206
    "setHomepage$",	//207
    "setIdNumber",	//208
    "setIdNumber$",	//209
    "setInstalledFiles",	//210
    "setInstalledFiles?",	//211
    "setJabber",	//212
    "setJabber$",	//213
    "setLicense",	//214
    "setLicense$",	//215
    "setName",	//216
    "setName#",	//217
    "setName$",	//218
    "setPayload",	//219
    "setPayload#",	//220
    "setPreview",	//221
    "setPreview#",	//222
    "setProviderList",	//223
    "setProviderList$",	//224
    "setRating",	//225
    "setRating$",	//226
    "setRelease",	//227
    "setRelease$",	//228
    "setReleaseDate",	//229
    "setReleaseDate#",	//230
    "setResourceType",	//231
    "setResourceType$",	//232
    "setSignature",	//233
    "setSignature$",	//234
    "setSource",	//235
    "setSource$",	//236
    "setStatus",	//237
    "setStatus$",	//238
    "setSummary",	//239
    "setSummary#",	//240
    "setUnInstalledFiles",	//241
    "setUnInstalledFiles?",	//242
    "setVersion",	//243
    "setVersion$",	//244
    "setVisible",	//245
    "showDialog",	//246
    "showEvent",	//247
    "signature",	//248
    "sizeHint",	//249
    "source",	//250
    "startDrag",	//251
    "staticMetaObject",	//252
    "status",	//253
    "stringmap",	//254
    "strings",	//255
    "styleChange",	//256
    "summary",	//257
    "tabletEvent",	//258
    "timerEvent",	//259
    "tr",	//260
    "tr$",	//261
    "tr$$",	//262
    "tr$$$",	//263
    "trUtf8",	//264
    "trUtf8$",	//265
    "trUtf8$$",	//266
    "trUtf8$$$",	//267
    "translated",	//268
    "translated$",	//269
    "uninstalledFiles",	//270
    "upload",	//271
    "upload$",	//272
    "uploadDialog",	//273
    "uploadDialog$",	//274
    "uploadDialogModal",	//275
    "uploadDialogModal$",	//276
    "version",	//277
    "wheelEvent",	//278
    "windowActivationChange",	//279
    "x11Event",	//280
    "~Author",	//281
    "~Button",	//282
    "~Engine",	//283
    "~Entry",	//284
    "~KTranslatable",	//285
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 1, 0, 0, Smoke::mf_ctor, 12, 1},	//1 KNS::Author::Author()
    {7, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//2 KNS::Author::Author(const KNS::Author&)
    {7, 157, 1, 1, 0, 11, 3},	//3 KNS::Author::operator=(const KNS::Author&)
    {7, 216, 3, 1, 0, 0, 4},	//4 KNS::Author::setName(const QString&)
    {7, 118, 0, 0, Smoke::mf_const, 128, 5},	//5 KNS::Author::name() const
    {7, 204, 3, 1, 0, 0, 6},	//6 KNS::Author::setEmail(const QString&)
    {7, 81, 0, 0, Smoke::mf_const, 128, 7},	//7 KNS::Author::email() const
    {7, 212, 3, 1, 0, 0, 8},	//8 KNS::Author::setJabber(const QString&)
    {7, 102, 0, 0, Smoke::mf_const, 128, 9},	//9 KNS::Author::jabber() const
    {7, 206, 3, 1, 0, 0, 10},	//10 KNS::Author::setHomepage(const QString&)
    {7, 93, 0, 0, Smoke::mf_const, 128, 11},	//11 KNS::Author::homepage() const
    {7, 281, 0, 0, Smoke::mf_dtor, 0, 12 },	//12 KNS::Author::~Author()
    {8, 110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 267, 1},	//13 KNS::Button::metaObject() const
    {8, 187, 5, 1, Smoke::mf_virtual, 305, 2},	//14 KNS::Button::qt_metacast(const char*)
    {8, 260, 7, 2, Smoke::mf_static, 128, 3},	//15 KNS::Button::tr(const char*, const char*)
    {8, 264, 7, 2, Smoke::mf_static, 128, 4},	//16 KNS::Button::trUtf8(const char*, const char*)
    {8, 260, 10, 3, Smoke::mf_static, 128, 5},	//17 KNS::Button::tr(const char*, const char*, int)
    {8, 264, 10, 3, Smoke::mf_static, 128, 6},	//18 KNS::Button::trUtf8(const char*, const char*, int)
    {8, 185, 14, 3, Smoke::mf_virtual, 302, 7},	//19 KNS::Button::qt_metacall(QMetaObject::Call, int, void**)
    {8, 3, 18, 4, Smoke::mf_ctor, 13, 8},	//20 KNS::Button::Button(const QString&, const QString&, const QString&, QWidget*)
    {8, 3, 23, 1, Smoke::mf_ctor, 13, 9},	//21 KNS::Button::Button(QWidget*)
    {8, 223, 3, 1, 0, 0, 10},	//22 KNS::Button::setProviderList(const QString&)
    {8, 231, 3, 1, 0, 0, 11},	//23 KNS::Button::setResourceType(const QString&)
    {8, 196, 3, 1, 0, 0, 12},	//24 KNS::Button::setButtonText(const QString&)
    {8, 53, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//25 KNS::Button::aboutToShowDialog()
    {8, 68, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//26 KNS::Button::dialogFinished()
    {8, 246, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//27 KNS::Button::showDialog()
    {8, 260, 5, 1, Smoke::mf_static, 128, 16},	//28 KNS::Button::tr(const char*)
    {8, 264, 5, 1, Smoke::mf_static, 128, 17},	//29 KNS::Button::trUtf8(const char*)
    {8, 252, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 266, 18},	//30 KNS::Button::staticMetaObject() const
    {8, 282, 0, 0, Smoke::mf_dtor, 0, 19 },	//31 KNS::Button::~Button()
    {9, 11, 23, 1, Smoke::mf_ctor, 14, 1},	//32 KNS::Engine::Engine(QWidget*)
    {9, 73, 23, 1, 0, 93, 2},	//33 KNS::Engine::downloadDialogModal(QWidget*)
    {9, 70, 0, 0, Smoke::mf_static, 93, 3},	//34 KNS::Engine::download()
    {9, 275, 3, 1, 0, 16, 4},	//35 KNS::Engine::uploadDialogModal(const QString&)
    {9, 271, 3, 1, Smoke::mf_static, 16, 5},	//36 KNS::Engine::upload(const QString&)
    {9, 71, 0, 0, 0, 0, 6},	//37 KNS::Engine::downloadDialog()
    {9, 71, 25, 2, 0, 0, 7},	//38 KNS::Engine::downloadDialog(QObject*, const char*)
    {9, 273, 3, 1, 0, 0, 8},	//39 KNS::Engine::uploadDialog(const QString&)
    {9, 95, 3, 1, 0, 242, 9},	//40 KNS::Engine::init(const QString&)
    {9, 11, 0, 0, Smoke::mf_ctor, 14, 10},	//41 KNS::Engine::Engine()
    {9, 73, 0, 0, 0, 93, 11},	//42 KNS::Engine::downloadDialogModal()
    {9, 283, 0, 0, Smoke::mf_dtor, 0, 12 },	//43 KNS::Engine::~Engine()
    {10, 13, 0, 0, Smoke::mf_ctor, 16, 1},	//44 KNS::Entry::Entry()
    {10, 13, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//45 KNS::Entry::Entry(const KNS::Entry&)
    {10, 157, 28, 1, 0, 15, 3},	//46 KNS::Entry::operator=(const KNS::Entry&)
    {10, 216, 30, 1, 0, 0, 4},	//47 KNS::Entry::setName(const KNS::KTranslatable&)
    {10, 118, 0, 0, Smoke::mf_const, 19, 5},	//48 KNS::Entry::name() const
    {10, 198, 3, 1, 0, 0, 6},	//49 KNS::Entry::setCategory(const QString&)
    {10, 58, 0, 0, Smoke::mf_const, 128, 7},	//50 KNS::Entry::category() const
    {10, 194, 1, 1, 0, 0, 8},	//51 KNS::Entry::setAuthor(const KNS::Author&)
    {10, 57, 0, 0, Smoke::mf_const, 10, 9},	//52 KNS::Entry::author() const
    {10, 214, 3, 1, 0, 0, 10},	//53 KNS::Entry::setLicense(const QString&)
    {10, 109, 0, 0, Smoke::mf_const, 128, 11},	//54 KNS::Entry::license() const
    {10, 239, 30, 1, 0, 0, 12},	//55 KNS::Entry::setSummary(const KNS::KTranslatable&)
    {10, 257, 0, 0, Smoke::mf_const, 19, 13},	//56 KNS::Entry::summary() const
    {10, 243, 3, 1, 0, 0, 14},	//57 KNS::Entry::setVersion(const QString&)
    {10, 277, 0, 0, Smoke::mf_const, 128, 15},	//58 KNS::Entry::version() const
    {10, 227, 32, 1, 0, 0, 16},	//59 KNS::Entry::setRelease(int)
    {10, 190, 0, 0, Smoke::mf_const, 302, 17},	//60 KNS::Entry::release() const
    {10, 229, 34, 1, 0, 0, 18},	//61 KNS::Entry::setReleaseDate(const QDate&)
    {10, 191, 0, 0, Smoke::mf_const, 44, 19},	//62 KNS::Entry::releaseDate() const
    {10, 219, 30, 1, 0, 0, 20},	//63 KNS::Entry::setPayload(const KNS::KTranslatable&)
    {10, 183, 0, 0, Smoke::mf_const, 19, 21},	//64 KNS::Entry::payload() const
    {10, 221, 30, 1, 0, 0, 22},	//65 KNS::Entry::setPreview(const KNS::KTranslatable&)
    {10, 184, 0, 0, Smoke::mf_const, 19, 23},	//66 KNS::Entry::preview() const
    {10, 210, 36, 1, 0, 0, 24},	//67 KNS::Entry::setInstalledFiles(const QStringList&)
    {10, 241, 36, 1, 0, 0, 25},	//68 KNS::Entry::setUnInstalledFiles(const QStringList&)
    {10, 99, 0, 0, Smoke::mf_const, 132, 26},	//69 KNS::Entry::installedFiles() const
    {10, 270, 0, 0, Smoke::mf_const, 132, 27},	//70 KNS::Entry::uninstalledFiles() const
    {10, 225, 32, 1, 0, 0, 28},	//71 KNS::Entry::setRating(int)
    {10, 189, 0, 0, Smoke::mf_const, 302, 29},	//72 KNS::Entry::rating() const
    {10, 202, 32, 1, 0, 0, 30},	//73 KNS::Entry::setDownloads(int)
    {10, 75, 0, 0, Smoke::mf_const, 302, 31},	//74 KNS::Entry::downloads() const
    {10, 200, 3, 1, 0, 0, 32},	//75 KNS::Entry::setChecksum(const QString&)
    {10, 233, 3, 1, 0, 0, 33},	//76 KNS::Entry::setSignature(const QString&)
    {10, 61, 0, 0, Smoke::mf_const, 128, 34},	//77 KNS::Entry::checksum() const
    {10, 248, 0, 0, Smoke::mf_const, 128, 35},	//78 KNS::Entry::signature() const
    {10, 237, 38, 1, 0, 0, 36},	//79 KNS::Entry::setStatus(KNS::Entry::Status)
    {10, 253, 0, 0, 0, 18, 37},	//80 KNS::Entry::status()
    {10, 235, 40, 1, 0, 0, 38},	//81 KNS::Entry::setSource(KNS::Entry::Source)
    {10, 250, 0, 0, 0, 17, 39},	//82 KNS::Entry::source()
    {10, 208, 32, 1, 0, 0, 40},	//83 KNS::Entry::setIdNumber(int)
    {10, 94, 0, 0, Smoke::mf_const, 302, 41},	//84 KNS::Entry::idNumber() const
    {10, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 42},	//85 KNS::Entry::Invalid (enum)
    {10, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 43},	//86 KNS::Entry::Downloadable (enum)
    {10, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 44},	//87 KNS::Entry::Installed (enum)
    {10, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 45},	//88 KNS::Entry::Updateable (enum)
    {10, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 46},	//89 KNS::Entry::Deleted (enum)
    {10, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 47},	//90 KNS::Entry::Cache (enum)
    {10, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 48},	//91 KNS::Entry::Online (enum)
    {10, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 49},	//92 KNS::Entry::Registry (enum)
    {10, 284, 0, 0, Smoke::mf_dtor, 0, 50 },	//93 KNS::Entry::~Entry()
    {11, 18, 0, 0, Smoke::mf_ctor, 21, 1},	//94 KNS::KTranslatable::KTranslatable()
    {11, 18, 3, 1, Smoke::mf_ctor, 21, 2},	//95 KNS::KTranslatable::KTranslatable(const QString&)
    {11, 157, 30, 1, 0, 20, 3},	//96 KNS::KTranslatable::operator=(const KNS::KTranslatable&)
    {11, 18, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 21, 4},	//97 KNS::KTranslatable::KTranslatable(const KNS::KTranslatable&)
    {11, 55, 42, 2, 0, 0, 5},	//98 KNS::KTranslatable::addString(const QString&, const QString&)
    {11, 192, 0, 0, Smoke::mf_const, 128, 6},	//99 KNS::KTranslatable::representation() const
    {11, 268, 3, 1, Smoke::mf_const, 128, 7},	//100 KNS::KTranslatable::translated(const QString&) const
    {11, 255, 0, 0, Smoke::mf_const, 132, 8},	//101 KNS::KTranslatable::strings() const
    {11, 107, 0, 0, Smoke::mf_const, 132, 9},	//102 KNS::KTranslatable::languages() const
    {11, 105, 0, 0, Smoke::mf_const, 128, 10},	//103 KNS::KTranslatable::language() const
    {11, 254, 0, 0, Smoke::mf_const, 94, 11},	//104 KNS::KTranslatable::stringmap() const
    {11, 101, 0, 0, Smoke::mf_const, 242, 12},	//105 KNS::KTranslatable::isTranslated() const
    {11, 100, 0, 0, Smoke::mf_const, 242, 13},	//106 KNS::KTranslatable::isEmpty() const
    {11, 285, 0, 0, Smoke::mf_dtor, 0, 14 },	//107 KNS::KTranslatable::~KTranslatable()
    {12, 249, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 0},	//108 KPushButton::sizeHint() const
    {12, 79, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 47, 0},	//109 KPushButton::dragObject()
    {12, 115, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//110 KPushButton::mousePressEvent(QMouseEvent*)
    {12, 114, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//111 KPushButton::mouseMoveEvent(QMouseEvent*)
    {12, 181, 47, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//112 KPushButton::paintEvent(QPaintEvent*)
    {12, 251, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//113 KPushButton::startDrag()
    {15, 92, 49, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 0},	//114 QAbstractButton::hitButton(const QPoint&) const
    {15, 60, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//115 QAbstractButton::checkStateSet()
    {15, 119, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//116 QAbstractButton::nextCheckState()
    {15, 104, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//117 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {15, 116, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//118 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {15, 59, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//119 QAbstractButton::changeEvent(QEvent*)
    {15, 259, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//120 QAbstractButton::timerEvent(QTimerEvent*)
    {37, 178, 57, 2, Smoke::mf_static, 85, 1},	//121 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {37, 125, 60, 2, Smoke::mf_static, 272, 2},	//122 QGlobalSpace::operator*(const QPoint&, double)
    {37, 125, 63, 2, Smoke::mf_static, 274, 3},	//123 QGlobalSpace::operator*(double, const QPointF&)
    {37, 178, 66, 2, Smoke::mf_static, 72, 4},	//124 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {37, 120, 69, 2, Smoke::mf_static, 242, 5},	//125 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 125, 72, 2, Smoke::mf_static, 284, 6},	//126 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 174, 75, 2, Smoke::mf_static, 43, 7},	//127 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 148, 78, 2, Smoke::mf_static, 43, 8},	//128 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 178, 81, 2, Smoke::mf_static, 85, 9},	//129 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {37, 120, 84, 2, Smoke::mf_static, 242, 10},	//130 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 129, 87, 2, Smoke::mf_static, 282, 11},	//131 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 148, 90, 2, Smoke::mf_static, 43, 12},	//132 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 125, 93, 2, Smoke::mf_static, 110, 13},	//133 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 125, 96, 2, Smoke::mf_static, 89, 14},	//134 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 159, 69, 2, Smoke::mf_static, 242, 15},	//135 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 178, 99, 2, Smoke::mf_static, 77, 16},	//136 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {37, 125, 102, 2, Smoke::mf_static, 284, 17},	//137 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 148, 105, 2, Smoke::mf_static, 43, 18},	//138 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 164, 108, 2, Smoke::mf_static, 242, 19},	//139 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {37, 137, 111, 2, Smoke::mf_static, 284, 20},	//140 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 169, 114, 2, Smoke::mf_static, 242, 21},	//141 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 159, 117, 2, Smoke::mf_static, 242, 22},	//142 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 178, 120, 2, Smoke::mf_static, 72, 23},	//143 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {37, 178, 123, 2, Smoke::mf_static, 53, 24},	//144 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {37, 178, 126, 2, Smoke::mf_static, 53, 25},	//145 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {37, 120, 129, 2, Smoke::mf_static, 242, 26},	//146 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 159, 132, 2, Smoke::mf_static, 242, 27},	//147 QGlobalSpace::operator==(QBool, QBool)
    {37, 178, 135, 2, Smoke::mf_static, 63, 28},	//148 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {37, 159, 138, 2, Smoke::mf_static, 242, 29},	//149 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 148, 141, 2, Smoke::mf_static, 43, 30},	//150 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 129, 144, 2, Smoke::mf_static, 287, 31},	//151 QGlobalSpace::operator+(QChar, const QString&)
    {37, 178, 147, 2, Smoke::mf_static, 58, 32},	//152 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {37, 148, 150, 2, Smoke::mf_static, 43, 33},	//153 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 134, 153, 1, Smoke::mf_static, 8, 34},	//154 QGlobalSpace::operator++(KIconLoader::Group&)
    {37, 148, 155, 2, Smoke::mf_static, 43, 35},	//155 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 125, 158, 2, Smoke::mf_static, 114, 36},	//156 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 178, 161, 2, Smoke::mf_static, 75, 37},	//157 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {37, 178, 164, 2, Smoke::mf_static, 85, 38},	//158 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {37, 129, 111, 2, Smoke::mf_static, 284, 39},	//159 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 178, 167, 2, Smoke::mf_static, 85, 40},	//160 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {37, 178, 170, 2, Smoke::mf_static, 85, 41},	//161 QGlobalSpace::operator|(Qt::DropAction, int)
    {37, 148, 173, 2, Smoke::mf_static, 43, 42},	//162 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 178, 176, 2, Smoke::mf_static, 55, 43},	//163 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {37, 178, 179, 2, Smoke::mf_static, 63, 44},	//164 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {37, 174, 182, 2, Smoke::mf_static, 43, 45},	//165 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 148, 185, 2, Smoke::mf_static, 43, 46},	//166 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 178, 188, 2, Smoke::mf_static, 85, 47},	//167 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {37, 143, 191, 2, Smoke::mf_static, 242, 48},	//168 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 178, 194, 2, Smoke::mf_static, 54, 49},	//169 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {37, 178, 197, 2, Smoke::mf_static, 64, 50},	//170 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {37, 125, 200, 2, Smoke::mf_static, 89, 51},	//171 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 178, 203, 2, Smoke::mf_static, 54, 52},	//172 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {37, 125, 206, 2, Smoke::mf_static, 91, 53},	//173 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 178, 209, 2, Smoke::mf_static, 73, 54},	//174 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {37, 125, 212, 2, Smoke::mf_static, 103, 55},	//175 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 178, 215, 2, Smoke::mf_static, 85, 56},	//176 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {37, 174, 218, 2, Smoke::mf_static, 43, 57},	//177 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 178, 221, 2, Smoke::mf_static, 85, 58},	//178 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {37, 148, 224, 2, Smoke::mf_static, 43, 59},	//179 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 129, 227, 2, Smoke::mf_static, 287, 60},	//180 QGlobalSpace::operator+(const QString&, const char*)
    {37, 148, 230, 2, Smoke::mf_static, 43, 61},	//181 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 178, 233, 2, Smoke::mf_static, 66, 62},	//182 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {37, 174, 236, 2, Smoke::mf_static, 43, 63},	//183 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 178, 239, 2, Smoke::mf_static, 58, 64},	//184 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {37, 129, 242, 2, Smoke::mf_static, 249, 65},	//185 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 141, 60, 2, Smoke::mf_static, 272, 66},	//186 QGlobalSpace::operator/(const QPoint&, double)
    {37, 129, 245, 2, Smoke::mf_static, 287, 67},	//187 QGlobalSpace::operator+(const char*, const QString&)
    {37, 159, 248, 2, Smoke::mf_static, 242, 68},	//188 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 174, 251, 2, Smoke::mf_static, 43, 69},	//189 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 174, 254, 2, Smoke::mf_static, 43, 70},	//190 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 174, 257, 2, Smoke::mf_static, 43, 71},	//191 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 159, 260, 2, Smoke::mf_static, 242, 72},	//192 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 141, 263, 2, Smoke::mf_static, 139, 73},	//193 QGlobalSpace::operator/(const QTransform&, double)
    {37, 152, 245, 2, Smoke::mf_static, 242, 74},	//194 QGlobalSpace::operator<=(const char*, const QString&)
    {37, 120, 266, 2, Smoke::mf_static, 242, 75},	//195 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 143, 269, 2, Smoke::mf_static, 242, 76},	//196 QGlobalSpace::operator<(QChar, QChar)
    {37, 125, 272, 2, Smoke::mf_static, 103, 77},	//197 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 148, 275, 2, Smoke::mf_static, 43, 78},	//198 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 169, 108, 2, Smoke::mf_static, 242, 79},	//199 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {37, 174, 278, 2, Smoke::mf_static, 43, 80},	//200 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 125, 281, 2, Smoke::mf_static, 274, 81},	//201 QGlobalSpace::operator*(const QPointF&, double)
    {37, 178, 284, 2, Smoke::mf_static, 85, 82},	//202 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {37, 159, 87, 2, Smoke::mf_static, 242, 83},	//203 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 148, 287, 2, Smoke::mf_static, 43, 84},	//204 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 159, 108, 2, Smoke::mf_static, 242, 85},	//205 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {37, 178, 290, 2, Smoke::mf_static, 71, 86},	//206 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {37, 178, 293, 2, Smoke::mf_static, 85, 87},	//207 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {37, 120, 114, 2, Smoke::mf_static, 242, 88},	//208 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 178, 296, 2, Smoke::mf_static, 59, 89},	//209 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {37, 174, 299, 2, Smoke::mf_static, 43, 90},	//210 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 178, 302, 2, Smoke::mf_static, 70, 91},	//211 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {37, 141, 102, 2, Smoke::mf_static, 284, 92},	//212 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 178, 305, 2, Smoke::mf_static, 71, 93},	//213 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {37, 174, 308, 2, Smoke::mf_static, 43, 94},	//214 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 125, 311, 2, Smoke::mf_static, 112, 95},	//215 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 164, 269, 2, Smoke::mf_static, 242, 96},	//216 QGlobalSpace::operator>(QChar, QChar)
    {37, 169, 248, 2, Smoke::mf_static, 242, 97},	//217 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 159, 314, 2, Smoke::mf_static, 242, 98},	//218 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 143, 114, 2, Smoke::mf_static, 242, 99},	//219 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 174, 317, 2, Smoke::mf_static, 43, 100},	//220 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 137, 320, 1, Smoke::mf_static, 274, 101},	//221 QGlobalSpace::operator-(const QPointF&)
    {37, 178, 322, 2, Smoke::mf_static, 69, 102},	//222 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {37, 148, 325, 2, Smoke::mf_static, 43, 103},	//223 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 129, 328, 2, Smoke::mf_static, 287, 104},	//224 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {37, 178, 331, 2, Smoke::mf_static, 78, 105},	//225 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {37, 125, 334, 2, Smoke::mf_static, 110, 106},	//226 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 178, 337, 2, Smoke::mf_static, 69, 107},	//227 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {37, 178, 340, 2, Smoke::mf_static, 76, 108},	//228 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {37, 129, 343, 2, Smoke::mf_static, 287, 109},	//229 QGlobalSpace::operator+(const QString&, char)
    {37, 169, 266, 2, Smoke::mf_static, 242, 110},	//230 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 159, 129, 2, Smoke::mf_static, 242, 111},	//231 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 148, 346, 2, Smoke::mf_static, 43, 112},	//232 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 178, 349, 2, Smoke::mf_static, 59, 113},	//233 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {37, 148, 352, 2, Smoke::mf_static, 43, 114},	//234 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 174, 355, 2, Smoke::mf_static, 43, 115},	//235 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 178, 358, 2, Smoke::mf_static, 70, 116},	//236 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {37, 143, 248, 2, Smoke::mf_static, 242, 117},	//237 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 178, 361, 2, Smoke::mf_static, 85, 118},	//238 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {37, 125, 364, 2, Smoke::mf_static, 108, 119},	//239 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 178, 367, 2, Smoke::mf_static, 85, 120},	//240 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {37, 178, 370, 2, Smoke::mf_static, 85, 121},	//241 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {37, 120, 87, 2, Smoke::mf_static, 242, 122},	//242 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 178, 373, 2, Smoke::mf_static, 67, 123},	//243 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {37, 152, 191, 2, Smoke::mf_static, 242, 124},	//244 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 120, 376, 2, Smoke::mf_static, 242, 125},	//245 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 178, 379, 2, Smoke::mf_static, 85, 126},	//246 QGlobalSpace::operator|(QString::SectionFlag, int)
    {37, 178, 382, 2, Smoke::mf_static, 85, 127},	//247 QGlobalSpace::operator|(Qt::WindowType, int)
    {37, 178, 385, 2, Smoke::mf_static, 62, 128},	//248 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {37, 159, 388, 2, Smoke::mf_static, 242, 129},	//249 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 169, 391, 2, Smoke::mf_static, 242, 130},	//250 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {37, 159, 394, 2, Smoke::mf_static, 242, 131},	//251 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 178, 397, 2, Smoke::mf_static, 56, 132},	//252 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {37, 178, 400, 2, Smoke::mf_static, 61, 133},	//253 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {37, 174, 403, 2, Smoke::mf_static, 43, 134},	//254 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 148, 406, 2, Smoke::mf_static, 43, 135},	//255 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 178, 409, 2, Smoke::mf_static, 85, 136},	//256 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {37, 125, 263, 2, Smoke::mf_static, 139, 137},	//257 QGlobalSpace::operator*(const QTransform&, double)
    {37, 143, 266, 2, Smoke::mf_static, 242, 138},	//258 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 178, 412, 2, Smoke::mf_static, 62, 139},	//259 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {37, 120, 415, 2, Smoke::mf_static, 242, 140},	//260 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 120, 248, 2, Smoke::mf_static, 242, 141},	//261 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 164, 266, 2, Smoke::mf_static, 242, 142},	//262 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 178, 418, 2, Smoke::mf_static, 85, 143},	//263 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {37, 178, 421, 2, Smoke::mf_static, 57, 144},	//264 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {37, 148, 424, 2, Smoke::mf_static, 43, 145},	//265 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 174, 427, 2, Smoke::mf_static, 43, 146},	//266 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 148, 430, 2, Smoke::mf_static, 43, 147},	//267 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 125, 433, 2, Smoke::mf_static, 272, 148},	//268 QGlobalSpace::operator*(const QPoint&, float)
    {37, 129, 42, 2, Smoke::mf_static, 287, 149},	//269 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 143, 245, 2, Smoke::mf_static, 242, 150},	//270 QGlobalSpace::operator<(const char*, const QString&)
    {37, 120, 245, 2, Smoke::mf_static, 242, 151},	//271 QGlobalSpace::operator!=(const char*, const QString&)
    {37, 120, 191, 2, Smoke::mf_static, 242, 152},	//272 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 120, 436, 2, Smoke::mf_static, 242, 153},	//273 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 178, 439, 2, Smoke::mf_static, 85, 154},	//274 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {37, 178, 442, 2, Smoke::mf_static, 85, 155},	//275 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {37, 174, 445, 2, Smoke::mf_static, 43, 156},	//276 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 164, 114, 2, Smoke::mf_static, 242, 157},	//277 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 152, 108, 2, Smoke::mf_static, 242, 158},	//278 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {37, 159, 376, 2, Smoke::mf_static, 242, 159},	//279 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 159, 448, 2, Smoke::mf_static, 242, 160},	//280 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 129, 248, 2, Smoke::mf_static, 249, 161},	//281 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 174, 451, 2, Smoke::mf_static, 43, 162},	//282 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 178, 454, 2, Smoke::mf_static, 85, 163},	//283 QGlobalSpace::operator|(Qt::MouseButton, int)
    {37, 152, 266, 2, Smoke::mf_static, 242, 164},	//284 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 174, 457, 2, Smoke::mf_static, 43, 165},	//285 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 178, 460, 2, Smoke::mf_static, 68, 166},	//286 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {37, 174, 463, 2, Smoke::mf_static, 43, 167},	//287 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 159, 269, 2, Smoke::mf_static, 242, 168},	//288 QGlobalSpace::operator==(QChar, QChar)
    {37, 178, 466, 2, Smoke::mf_static, 74, 169},	//289 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {37, 120, 388, 2, Smoke::mf_static, 242, 170},	//290 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 125, 469, 2, Smoke::mf_static, 91, 171},	//291 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 120, 472, 2, Smoke::mf_static, 242, 172},	//292 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 148, 475, 2, Smoke::mf_static, 43, 173},	//293 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 148, 478, 2, Smoke::mf_static, 43, 174},	//294 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 178, 481, 2, Smoke::mf_static, 75, 175},	//295 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {37, 148, 484, 2, Smoke::mf_static, 43, 176},	//296 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 178, 487, 2, Smoke::mf_static, 56, 177},	//297 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {37, 148, 490, 2, Smoke::mf_static, 43, 178},	//298 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 129, 493, 2, Smoke::mf_static, 287, 179},	//299 QGlobalSpace::operator+(char, const QString&)
    {37, 120, 117, 2, Smoke::mf_static, 242, 180},	//300 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 120, 269, 2, Smoke::mf_static, 242, 181},	//301 QGlobalSpace::operator!=(QChar, QChar)
    {37, 159, 391, 2, Smoke::mf_static, 242, 182},	//302 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {37, 178, 496, 2, Smoke::mf_static, 77, 183},	//303 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {37, 178, 499, 2, Smoke::mf_static, 61, 184},	//304 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {37, 159, 111, 2, Smoke::mf_static, 242, 185},	//305 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 174, 502, 2, Smoke::mf_static, 43, 186},	//306 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 148, 505, 2, Smoke::mf_static, 43, 187},	//307 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 174, 508, 2, Smoke::mf_static, 43, 188},	//308 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 159, 266, 2, Smoke::mf_static, 242, 189},	//309 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 120, 511, 2, Smoke::mf_static, 242, 190},	//310 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 125, 514, 2, Smoke::mf_static, 282, 191},	//311 QGlobalSpace::operator*(double, const QSize&)
    {37, 169, 191, 2, Smoke::mf_static, 242, 192},	//312 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 125, 517, 2, Smoke::mf_static, 272, 193},	//313 QGlobalSpace::operator*(double, const QPoint&)
    {37, 148, 520, 2, Smoke::mf_static, 43, 194},	//314 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 148, 523, 2, Smoke::mf_static, 43, 195},	//315 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 129, 526, 2, Smoke::mf_static, 249, 196},	//316 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 141, 281, 2, Smoke::mf_static, 274, 197},	//317 QGlobalSpace::operator/(const QPointF&, double)
    {37, 169, 269, 2, Smoke::mf_static, 242, 198},	//318 QGlobalSpace::operator>=(QChar, QChar)
    {37, 152, 114, 2, Smoke::mf_static, 242, 199},	//319 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 174, 529, 2, Smoke::mf_static, 43, 200},	//320 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 152, 391, 2, Smoke::mf_static, 242, 201},	//321 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {37, 178, 532, 2, Smoke::mf_static, 60, 202},	//322 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {37, 148, 535, 2, Smoke::mf_static, 43, 203},	//323 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 164, 248, 2, Smoke::mf_static, 242, 204},	//324 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 174, 538, 2, Smoke::mf_static, 43, 205},	//325 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 148, 541, 2, Smoke::mf_static, 43, 206},	//326 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 159, 511, 2, Smoke::mf_static, 242, 207},	//327 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 120, 544, 2, Smoke::mf_static, 242, 208},	//328 QGlobalSpace::operator!=(bool, QBool)
    {37, 178, 547, 2, Smoke::mf_static, 57, 209},	//329 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {37, 125, 550, 2, Smoke::mf_static, 112, 210},	//330 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 120, 553, 2, Smoke::mf_static, 242, 211},	//331 QGlobalSpace::operator!=(QBool, bool)
    {37, 178, 556, 2, Smoke::mf_static, 85, 212},	//332 QGlobalSpace::operator|(Qt::WindowState, int)
    {37, 137, 376, 2, Smoke::mf_static, 272, 213},	//333 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 174, 559, 2, Smoke::mf_static, 43, 214},	//334 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 129, 191, 2, Smoke::mf_static, 249, 215},	//335 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 148, 562, 2, Smoke::mf_static, 43, 216},	//336 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 120, 111, 2, Smoke::mf_static, 242, 217},	//337 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 152, 248, 2, Smoke::mf_static, 242, 218},	//338 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 178, 565, 2, Smoke::mf_static, 85, 219},	//339 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {37, 148, 568, 2, Smoke::mf_static, 43, 220},	//340 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 178, 571, 2, Smoke::mf_static, 64, 221},	//341 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {37, 159, 436, 2, Smoke::mf_static, 242, 222},	//342 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 120, 391, 2, Smoke::mf_static, 242, 223},	//343 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {37, 148, 574, 2, Smoke::mf_static, 43, 224},	//344 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 178, 577, 2, Smoke::mf_static, 78, 225},	//345 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {37, 125, 580, 2, Smoke::mf_static, 282, 226},	//346 QGlobalSpace::operator*(const QSize&, double)
    {37, 159, 583, 2, Smoke::mf_static, 242, 227},	//347 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 178, 586, 2, Smoke::mf_static, 68, 228},	//348 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {37, 174, 589, 2, Smoke::mf_static, 43, 229},	//349 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 159, 191, 2, Smoke::mf_static, 242, 230},	//350 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 174, 592, 2, Smoke::mf_static, 43, 231},	//351 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 164, 245, 2, Smoke::mf_static, 242, 232},	//352 QGlobalSpace::operator>(const char*, const QString&)
    {37, 148, 595, 2, Smoke::mf_static, 43, 233},	//353 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 174, 598, 2, Smoke::mf_static, 43, 234},	//354 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 164, 191, 2, Smoke::mf_static, 242, 235},	//355 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 143, 108, 2, Smoke::mf_static, 242, 236},	//356 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {37, 129, 376, 2, Smoke::mf_static, 272, 237},	//357 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 152, 269, 2, Smoke::mf_static, 242, 238},	//358 QGlobalSpace::operator<=(QChar, QChar)
    {37, 125, 601, 2, Smoke::mf_static, 119, 239},	//359 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 120, 583, 2, Smoke::mf_static, 242, 240},	//360 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 164, 391, 2, Smoke::mf_static, 242, 241},	//361 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {37, 178, 604, 2, Smoke::mf_static, 60, 242},	//362 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {37, 120, 314, 2, Smoke::mf_static, 242, 243},	//363 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 178, 607, 2, Smoke::mf_static, 85, 244},	//364 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {37, 125, 610, 2, Smoke::mf_static, 272, 245},	//365 QGlobalSpace::operator*(int, const QPoint&)
    {37, 178, 613, 2, Smoke::mf_static, 66, 246},	//366 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {37, 125, 616, 2, Smoke::mf_static, 114, 247},	//367 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 137, 49, 1, Smoke::mf_static, 272, 248},	//368 QGlobalSpace::operator-(const QPoint&)
    {37, 174, 619, 2, Smoke::mf_static, 43, 249},	//369 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 178, 622, 2, Smoke::mf_static, 55, 250},	//370 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {37, 174, 625, 2, Smoke::mf_static, 43, 251},	//371 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 159, 114, 2, Smoke::mf_static, 242, 252},	//372 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 148, 628, 2, Smoke::mf_static, 43, 253},	//373 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 137, 260, 2, Smoke::mf_static, 274, 254},	//374 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 143, 391, 2, Smoke::mf_static, 242, 255},	//375 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {37, 174, 631, 2, Smoke::mf_static, 43, 256},	//376 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 129, 263, 2, Smoke::mf_static, 139, 257},	//377 QGlobalSpace::operator+(const QTransform&, double)
    {37, 178, 634, 2, Smoke::mf_static, 74, 258},	//378 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {37, 159, 415, 2, Smoke::mf_static, 242, 259},	//379 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 120, 448, 2, Smoke::mf_static, 242, 260},	//380 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 174, 637, 2, Smoke::mf_static, 43, 261},	//381 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 129, 114, 2, Smoke::mf_static, 249, 262},	//382 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 129, 640, 2, Smoke::mf_static, 287, 263},	//383 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {37, 174, 643, 2, Smoke::mf_static, 43, 264},	//384 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 178, 646, 2, Smoke::mf_static, 85, 265},	//385 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {37, 159, 245, 2, Smoke::mf_static, 242, 266},	//386 QGlobalSpace::operator==(const char*, const QString&)
    {37, 148, 649, 2, Smoke::mf_static, 43, 267},	//387 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 148, 652, 2, Smoke::mf_static, 43, 268},	//388 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 141, 580, 2, Smoke::mf_static, 282, 269},	//389 QGlobalSpace::operator/(const QSize&, double)
    {37, 174, 655, 2, Smoke::mf_static, 43, 270},	//390 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 174, 658, 2, Smoke::mf_static, 43, 271},	//391 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 159, 544, 2, Smoke::mf_static, 242, 272},	//392 QGlobalSpace::operator==(bool, QBool)
    {37, 178, 661, 2, Smoke::mf_static, 76, 273},	//393 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {37, 178, 664, 2, Smoke::mf_static, 85, 274},	//394 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {37, 125, 667, 2, Smoke::mf_static, 108, 275},	//395 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 169, 245, 2, Smoke::mf_static, 242, 276},	//396 QGlobalSpace::operator>=(const char*, const QString&)
    {37, 148, 670, 2, Smoke::mf_static, 43, 277},	//397 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 174, 673, 2, Smoke::mf_static, 43, 278},	//398 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 120, 260, 2, Smoke::mf_static, 242, 279},	//399 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 125, 676, 2, Smoke::mf_static, 272, 280},	//400 QGlobalSpace::operator*(const QPoint&, int)
    {37, 178, 679, 2, Smoke::mf_static, 67, 281},	//401 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {37, 137, 87, 2, Smoke::mf_static, 282, 282},	//402 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 178, 682, 2, Smoke::mf_static, 65, 283},	//403 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {37, 178, 685, 2, Smoke::mf_static, 65, 284},	//404 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {37, 178, 688, 2, Smoke::mf_static, 85, 285},	//405 QGlobalSpace::operator|(Qt::Orientation, int)
    {37, 120, 108, 2, Smoke::mf_static, 242, 286},	//406 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {37, 129, 260, 2, Smoke::mf_static, 274, 287},	//407 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 125, 691, 2, Smoke::mf_static, 119, 288},	//408 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 159, 553, 2, Smoke::mf_static, 242, 289},	//409 QGlobalSpace::operator==(QBool, bool)
    {37, 159, 84, 2, Smoke::mf_static, 242, 290},	//410 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 125, 694, 2, Smoke::mf_static, 272, 291},	//411 QGlobalSpace::operator*(float, const QPoint&)
    {37, 174, 697, 2, Smoke::mf_static, 43, 292},	//412 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 129, 700, 2, Smoke::mf_static, 287, 293},	//413 QGlobalSpace::operator+(const QString&, QChar)
    {37, 120, 138, 2, Smoke::mf_static, 242, 294},	//414 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 178, 703, 2, Smoke::mf_static, 73, 295},	//415 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {37, 120, 132, 2, Smoke::mf_static, 242, 296},	//416 QGlobalSpace::operator!=(QBool, QBool)
    {37, 159, 472, 2, Smoke::mf_static, 242, 297},	//417 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 137, 263, 2, Smoke::mf_static, 139, 298},	//418 QGlobalSpace::operator-(const QTransform&, double)
    {37, 134, 706, 2, Smoke::mf_static, 7, 299},	//419 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {37, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 300},	//420 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {37, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 301},	//421 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {37, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 302},	//422 QGlobalSpace::Q_STATIC_TYPE (enum)
    {37, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 303},	//423 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {37, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 304},	//424 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {37, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 305},	//425 QGlobalSpace::LicensedGui (enum)
    {37, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 306},	//426 QGlobalSpace::LicensedXml (enum)
    {37, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 307},	//427 QGlobalSpace::LicensedQt3SupportLight (enum)
    {37, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 308},	//428 QGlobalSpace::LicensedScript (enum)
    {37, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 309},	//429 QGlobalSpace::LicensedOpenVG (enum)
    {37, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 310},	//430 QGlobalSpace::LicensedDBus (enum)
    {37, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 311},	//431 QGlobalSpace::LicensedTest (enum)
    {37, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 312},	//432 QGlobalSpace::LicensedActiveQt (enum)
    {37, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 313},	//433 QGlobalSpace::LicensedScriptTools (enum)
    {37, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 314},	//434 QGlobalSpace::LicensedSvg (enum)
    {37, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 315},	//435 QGlobalSpace::LicensedDeclarative (enum)
    {37, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 316},	//436 QGlobalSpace::LicensedSql (enum)
    {37, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 317},	//437 QGlobalSpace::LicensedOpenGL (enum)
    {37, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 318},	//438 QGlobalSpace::LicensedCore (enum)
    {37, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 319},	//439 QGlobalSpace::QtDebugMsg (enum)
    {37, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 320},	//440 QGlobalSpace::QtWarningMsg (enum)
    {37, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 321},	//441 QGlobalSpace::QtCriticalMsg (enum)
    {37, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 322},	//442 QGlobalSpace::QtFatalMsg (enum)
    {37, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 323},	//443 QGlobalSpace::QtSystemMsg (enum)
    {37, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 324},	//444 QGlobalSpace::LicensedHelp (enum)
    {37, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 325},	//445 QGlobalSpace::LicensedMultimedia (enum)
    {37, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 326},	//446 QGlobalSpace::LicensedQt3Support (enum)
    {37, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 327},	//447 QGlobalSpace::LicensedXmlPatterns (enum)
    {37, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 328},	//448 QGlobalSpace::LicensedNetwork (enum)
    {54, 85, 709, 2, Smoke::mf_virtual, 242, 0},	//449 QObject::eventFilter(QObject*, QEvent*)
    {54, 62, 712, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//450 QObject::childEvent(QChildEvent*)
    {54, 66, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//451 QObject::customEvent(QEvent*)
    {54, 64, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//452 QObject::connectNotify(const char*)
    {54, 69, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//453 QObject::disconnectNotify(const char*)
    {64, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 0},	//454 QPushButton::minimumSizeHint() const
    {64, 84, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 242, 0},	//455 QPushButton::event(QEvent*)
    {64, 103, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//456 QPushButton::keyPressEvent(QKeyEvent*)
    {64, 86, 714, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//457 QPushButton::focusInEvent(QFocusEvent*)
    {64, 88, 714, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//458 QPushButton::focusOutEvent(QFocusEvent*)
    {85, 67, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 302, 0},	//459 QWidget::devType() const
    {85, 245, 716, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//460 QWidget::setVisible(bool)
    {85, 90, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 302, 0},	//461 QWidget::heightForWidth(int) const
    {85, 180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 101, 0},	//462 QWidget::paintEngine() const
    {85, 113, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//463 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {85, 278, 718, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//464 QWidget::wheelEvent(QWheelEvent*)
    {85, 83, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//465 QWidget::enterEvent(QEvent*)
    {85, 108, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//466 QWidget::leaveEvent(QEvent*)
    {85, 117, 720, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//467 QWidget::moveEvent(QMoveEvent*)
    {85, 193, 722, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//468 QWidget::resizeEvent(QResizeEvent*)
    {85, 63, 724, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//469 QWidget::closeEvent(QCloseEvent*)
    {85, 65, 726, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//470 QWidget::contextMenuEvent(QContextMenuEvent*)
    {85, 258, 728, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//471 QWidget::tabletEvent(QTabletEvent*)
    {85, 54, 730, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//472 QWidget::actionEvent(QActionEvent*)
    {85, 76, 732, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//473 QWidget::dragEnterEvent(QDragEnterEvent*)
    {85, 78, 734, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//474 QWidget::dragMoveEvent(QDragMoveEvent*)
    {85, 77, 736, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//475 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {85, 80, 738, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//476 QWidget::dropEvent(QDropEvent*)
    {85, 247, 740, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//477 QWidget::showEvent(QShowEvent*)
    {85, 91, 742, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//478 QWidget::hideEvent(QHideEvent*)
    {85, 280, 744, 1, Smoke::mf_protected|Smoke::mf_virtual, 242, 0},	//479 QWidget::x11Event(_XEvent*)
    {85, 111, 746, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 302, 0},	//480 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {85, 97, 748, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//481 QWidget::inputMethodEvent(QInputMethodEvent*)
    {85, 98, 750, 1, Smoke::mf_const|Smoke::mf_virtual, 143, 0},	//482 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {85, 87, 716, 1, Smoke::mf_protected|Smoke::mf_virtual, 242, 0},	//483 QWidget::focusNextPrevChild(bool)
    {85, 256, 752, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//484 QWidget::styleChange(QStyle&)
    {85, 82, 716, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//485 QWidget::enabledChange(bool)
    {85, 182, 754, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//486 QWidget::paletteChange(const QPalette&)
    {85, 89, 756, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//487 QWidget::fontChange(const QFont&)
    {85, 279, 716, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//488 QWidget::windowActivationChange(bool)
    {85, 106, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//489 QWidget::languageChange()
    {85, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 32},	//490 QWidget::DrawWindowBackground (enum)
    {85, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 33},	//491 QWidget::DrawChildren (enum)
    {85, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 34},	//492 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    125,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    130,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    146,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    195,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    208,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    242,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    245,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    292,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    300,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    301,  // QGlobalSpace::operator!=(QChar, QChar)
    310,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    337,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    343,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    399,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    414,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    416,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    260,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    272,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    290,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    331,  // QGlobalSpace::operator!=(QBool, bool)
    360,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    261,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    273,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    328,  // QGlobalSpace::operator!=(bool, QBool)
    363,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    380,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    406,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    133,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    134,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    156,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    171,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    173,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    175,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    197,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    215,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    226,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    239,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    291,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    330,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    359,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    367,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    395,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    408,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    122,  // QGlobalSpace::operator*(const QPoint&, double)
    137,  // QGlobalSpace::operator*(const QSizeF&, double)
    201,  // QGlobalSpace::operator*(const QPointF&, double)
    257,  // QGlobalSpace::operator*(const QTransform&, double)
    268,  // QGlobalSpace::operator*(const QPoint&, float)
    346,  // QGlobalSpace::operator*(const QSize&, double)
    400,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    123,  // QGlobalSpace::operator*(double, const QPointF&)
    126,  // QGlobalSpace::operator*(double, const QSizeF&)
    311,  // QGlobalSpace::operator*(double, const QSize&)
    313,  // QGlobalSpace::operator*(double, const QPoint&)
    365,  // QGlobalSpace::operator*(int, const QPoint&)
    411,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    131,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    159,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    357,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    382,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    407,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    151,  // QGlobalSpace::operator+(QChar, const QString&)
    224,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    316,  // QGlobalSpace::operator+(const QByteArray&, char)
    335,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    377,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    185,  // QGlobalSpace::operator+(char, const QByteArray&)
    281,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    383,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    413,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    180,  // QGlobalSpace::operator+(const QString&, const char*)
    187,  // QGlobalSpace::operator+(const char*, const QString&)
    229,  // QGlobalSpace::operator+(const QString&, char)
    269,  // QGlobalSpace::operator+(const QString&, const QString&)
    299,  // QGlobalSpace::operator+(char, const QString&)
    0,
    221,  // QGlobalSpace::operator-(const QPointF&)
    368,  // QGlobalSpace::operator-(const QPoint&)
    0,
    140,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    333,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    374,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    402,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    186,  // QGlobalSpace::operator/(const QPoint&, double)
    193,  // QGlobalSpace::operator/(const QTransform&, double)
    212,  // QGlobalSpace::operator/(const QSizeF&, double)
    317,  // QGlobalSpace::operator/(const QPointF&, double)
    389,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    196,  // QGlobalSpace::operator<(QChar, QChar)
    219,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    258,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    375,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    237,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    356,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    128,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    132,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    138,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    150,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    153,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    155,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    166,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    179,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    181,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    198,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    204,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    223,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    232,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    234,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    255,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    265,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    267,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    293,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    294,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    296,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    298,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    307,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    314,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    315,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    323,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    326,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    336,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    340,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    344,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    353,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    387,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    397,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    373,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    388,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    284,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    319,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    321,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    358,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    278,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    338,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    135,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    142,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    147,  // QGlobalSpace::operator==(QBool, QBool)
    149,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    192,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    203,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    231,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    251,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    279,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    288,  // QGlobalSpace::operator==(QChar, QChar)
    302,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    305,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    309,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    327,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    372,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    410,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    417,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    249,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    347,  // QGlobalSpace::operator==(QString::Null, const QString&)
    350,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    379,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    409,  // QGlobalSpace::operator==(QBool, bool)
    0,
    188,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    205,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    218,  // QGlobalSpace::operator==(const QString&, QString::Null)
    280,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    342,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    392,  // QGlobalSpace::operator==(bool, QBool)
    0,
    216,  // QGlobalSpace::operator>(QChar, QChar)
    262,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    277,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    361,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    139,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    324,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    141,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    230,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    250,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    318,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    199,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    217,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    127,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    165,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    177,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    183,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    189,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    190,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    191,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    200,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    210,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    214,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    220,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    235,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    254,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    266,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    276,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    282,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    285,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    306,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    308,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    320,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    325,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    349,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    351,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    354,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    376,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    381,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    384,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    390,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    391,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    398,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    412,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    287,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    371,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    121,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    124,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    129,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    136,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    143,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    144,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    145,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    148,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    152,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    157,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    158,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    160,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    161,  // QGlobalSpace::operator|(Qt::DropAction, int)
    163,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    164,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    167,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    169,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    170,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    172,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    174,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    176,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    178,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    182,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    184,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    202,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    206,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    207,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    209,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    211,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    213,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    222,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    225,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    227,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    228,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    233,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    236,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    238,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    240,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    241,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    243,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    246,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    247,  // QGlobalSpace::operator|(Qt::WindowType, int)
    248,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    252,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    253,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    256,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    259,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    263,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    264,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    274,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    275,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    283,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    286,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    289,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    295,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    297,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    303,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    304,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    322,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    329,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    332,  // QGlobalSpace::operator|(Qt::WindowState, int)
    339,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    341,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    345,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    348,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    362,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    364,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    366,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    370,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    378,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    385,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    393,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    394,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    401,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    403,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    404,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    405,  // QGlobalSpace::operator|(Qt::Orientation, int)
    415,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 1, 1},	// KNS::Author::Author
    {7, 2, 2},	// KNS::Author::Author#
    {7, 81, 7},	// KNS::Author::email
    {7, 93, 11},	// KNS::Author::homepage
    {7, 102, 9},	// KNS::Author::jabber
    {7, 118, 5},	// KNS::Author::name
    {7, 158, 3},	// KNS::Author::operator=#
    {7, 205, 6},	// KNS::Author::setEmail$
    {7, 207, 10},	// KNS::Author::setHomepage$
    {7, 213, 8},	// KNS::Author::setJabber$
    {7, 218, 4},	// KNS::Author::setName$
    {7, 281, 12},	// KNS::Author::~Author
    {8, 4, 21},	// KNS::Button::Button#
    {8, 5, 20},	// KNS::Button::Button$$$#
    {8, 53, 25},	// KNS::Button::aboutToShowDialog
    {8, 68, 26},	// KNS::Button::dialogFinished
    {8, 110, 13},	// KNS::Button::metaObject
    {8, 186, 19},	// KNS::Button::qt_metacall$$?
    {8, 188, 14},	// KNS::Button::qt_metacast$
    {8, 197, 24},	// KNS::Button::setButtonText$
    {8, 224, 22},	// KNS::Button::setProviderList$
    {8, 232, 23},	// KNS::Button::setResourceType$
    {8, 246, 27},	// KNS::Button::showDialog
    {8, 252, 30},	// KNS::Button::staticMetaObject
    {8, 261, 28},	// KNS::Button::tr$
    {8, 262, 15},	// KNS::Button::tr$$
    {8, 263, 17},	// KNS::Button::tr$$$
    {8, 265, 29},	// KNS::Button::trUtf8$
    {8, 266, 16},	// KNS::Button::trUtf8$$
    {8, 267, 18},	// KNS::Button::trUtf8$$$
    {8, 282, 31},	// KNS::Button::~Button
    {9, 11, 41},	// KNS::Engine::Engine
    {9, 12, 32},	// KNS::Engine::Engine#
    {9, 70, 34},	// KNS::Engine::download
    {9, 71, 37},	// KNS::Engine::downloadDialog
    {9, 72, 38},	// KNS::Engine::downloadDialog#$
    {9, 73, 42},	// KNS::Engine::downloadDialogModal
    {9, 74, 33},	// KNS::Engine::downloadDialogModal#
    {9, 96, 40},	// KNS::Engine::init$
    {9, 272, 36},	// KNS::Engine::upload$
    {9, 274, 39},	// KNS::Engine::uploadDialog$
    {9, 276, 35},	// KNS::Engine::uploadDialogModal$
    {9, 283, 43},	// KNS::Engine::~Engine
    {10, 6, 90},	// KNS::Entry::Cache
    {10, 7, 89},	// KNS::Entry::Deleted
    {10, 8, 86},	// KNS::Entry::Downloadable
    {10, 13, 44},	// KNS::Entry::Entry
    {10, 14, 45},	// KNS::Entry::Entry#
    {10, 16, 87},	// KNS::Entry::Installed
    {10, 17, 85},	// KNS::Entry::Invalid
    {10, 40, 91},	// KNS::Entry::Online
    {10, 51, 92},	// KNS::Entry::Registry
    {10, 52, 88},	// KNS::Entry::Updateable
    {10, 57, 52},	// KNS::Entry::author
    {10, 58, 50},	// KNS::Entry::category
    {10, 61, 77},	// KNS::Entry::checksum
    {10, 75, 74},	// KNS::Entry::downloads
    {10, 94, 84},	// KNS::Entry::idNumber
    {10, 99, 69},	// KNS::Entry::installedFiles
    {10, 109, 54},	// KNS::Entry::license
    {10, 118, 48},	// KNS::Entry::name
    {10, 158, 46},	// KNS::Entry::operator=#
    {10, 183, 64},	// KNS::Entry::payload
    {10, 184, 66},	// KNS::Entry::preview
    {10, 189, 72},	// KNS::Entry::rating
    {10, 190, 60},	// KNS::Entry::release
    {10, 191, 62},	// KNS::Entry::releaseDate
    {10, 195, 51},	// KNS::Entry::setAuthor#
    {10, 199, 49},	// KNS::Entry::setCategory$
    {10, 201, 75},	// KNS::Entry::setChecksum$
    {10, 203, 73},	// KNS::Entry::setDownloads$
    {10, 209, 83},	// KNS::Entry::setIdNumber$
    {10, 211, 67},	// KNS::Entry::setInstalledFiles?
    {10, 215, 53},	// KNS::Entry::setLicense$
    {10, 217, 47},	// KNS::Entry::setName#
    {10, 220, 63},	// KNS::Entry::setPayload#
    {10, 222, 65},	// KNS::Entry::setPreview#
    {10, 226, 71},	// KNS::Entry::setRating$
    {10, 228, 59},	// KNS::Entry::setRelease$
    {10, 230, 61},	// KNS::Entry::setReleaseDate#
    {10, 234, 76},	// KNS::Entry::setSignature$
    {10, 236, 81},	// KNS::Entry::setSource$
    {10, 238, 79},	// KNS::Entry::setStatus$
    {10, 240, 55},	// KNS::Entry::setSummary#
    {10, 242, 68},	// KNS::Entry::setUnInstalledFiles?
    {10, 244, 57},	// KNS::Entry::setVersion$
    {10, 248, 78},	// KNS::Entry::signature
    {10, 250, 82},	// KNS::Entry::source
    {10, 253, 80},	// KNS::Entry::status
    {10, 257, 56},	// KNS::Entry::summary
    {10, 270, 70},	// KNS::Entry::uninstalledFiles
    {10, 277, 58},	// KNS::Entry::version
    {10, 284, 93},	// KNS::Entry::~Entry
    {11, 18, 94},	// KNS::KTranslatable::KTranslatable
    {11, 19, 97},	// KNS::KTranslatable::KTranslatable#
    {11, 20, 95},	// KNS::KTranslatable::KTranslatable$
    {11, 56, 98},	// KNS::KTranslatable::addString$$
    {11, 100, 106},	// KNS::KTranslatable::isEmpty
    {11, 101, 105},	// KNS::KTranslatable::isTranslated
    {11, 105, 103},	// KNS::KTranslatable::language
    {11, 107, 102},	// KNS::KTranslatable::languages
    {11, 158, 96},	// KNS::KTranslatable::operator=#
    {11, 192, 99},	// KNS::KTranslatable::representation
    {11, 254, 104},	// KNS::KTranslatable::stringmap
    {11, 255, 101},	// KNS::KTranslatable::strings
    {11, 269, 100},	// KNS::KTranslatable::translated$
    {11, 285, 107},	// KNS::KTranslatable::~KTranslatable
    {37, 21, 432},	// QGlobalSpace::LicensedActiveQt
    {37, 22, 438},	// QGlobalSpace::LicensedCore
    {37, 23, 430},	// QGlobalSpace::LicensedDBus
    {37, 24, 435},	// QGlobalSpace::LicensedDeclarative
    {37, 25, 425},	// QGlobalSpace::LicensedGui
    {37, 26, 444},	// QGlobalSpace::LicensedHelp
    {37, 27, 445},	// QGlobalSpace::LicensedMultimedia
    {37, 28, 448},	// QGlobalSpace::LicensedNetwork
    {37, 29, 437},	// QGlobalSpace::LicensedOpenGL
    {37, 30, 429},	// QGlobalSpace::LicensedOpenVG
    {37, 31, 446},	// QGlobalSpace::LicensedQt3Support
    {37, 32, 427},	// QGlobalSpace::LicensedQt3SupportLight
    {37, 33, 428},	// QGlobalSpace::LicensedScript
    {37, 34, 433},	// QGlobalSpace::LicensedScriptTools
    {37, 35, 436},	// QGlobalSpace::LicensedSql
    {37, 36, 434},	// QGlobalSpace::LicensedSvg
    {37, 37, 431},	// QGlobalSpace::LicensedTest
    {37, 38, 426},	// QGlobalSpace::LicensedXml
    {37, 39, 447},	// QGlobalSpace::LicensedXmlPatterns
    {37, 41, 420},	// QGlobalSpace::Q_COMPLEX_TYPE
    {37, 42, 424},	// QGlobalSpace::Q_DUMMY_TYPE
    {37, 43, 423},	// QGlobalSpace::Q_MOVABLE_TYPE
    {37, 44, 421},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {37, 45, 422},	// QGlobalSpace::Q_STATIC_TYPE
    {37, 46, 441},	// QGlobalSpace::QtCriticalMsg
    {37, 47, 439},	// QGlobalSpace::QtDebugMsg
    {37, 48, 442},	// QGlobalSpace::QtFatalMsg
    {37, 49, 443},	// QGlobalSpace::QtSystemMsg
    {37, 50, 440},	// QGlobalSpace::QtWarningMsg
    {37, 121, -1},	// QGlobalSpace::operator!=##
    {37, 122, -18},	// QGlobalSpace::operator!=#$
    {37, 123, -24},	// QGlobalSpace::operator!=$#
    {37, 124, 271},	// QGlobalSpace::operator!=$$
    {37, 126, -31},	// QGlobalSpace::operator*##
    {37, 127, -48},	// QGlobalSpace::operator*#$
    {37, 128, -56},	// QGlobalSpace::operator*$#
    {37, 130, -63},	// QGlobalSpace::operator+##
    {37, 131, -69},	// QGlobalSpace::operator+#$
    {37, 132, -75},	// QGlobalSpace::operator+$#
    {37, 133, -80},	// QGlobalSpace::operator+$$
    {37, 135, 154},	// QGlobalSpace::operator++$
    {37, 136, 419},	// QGlobalSpace::operator++$$
    {37, 138, -86},	// QGlobalSpace::operator-#
    {37, 139, -89},	// QGlobalSpace::operator-##
    {37, 140, 418},	// QGlobalSpace::operator-#$
    {37, 142, -94},	// QGlobalSpace::operator/#$
    {37, 144, -100},	// QGlobalSpace::operator<##
    {37, 145, 168},	// QGlobalSpace::operator<#$
    {37, 146, -105},	// QGlobalSpace::operator<$#
    {37, 147, 270},	// QGlobalSpace::operator<$$
    {37, 149, -108},	// QGlobalSpace::operator<<##
    {37, 150, -141},	// QGlobalSpace::operator<<#$
    {37, 151, 162},	// QGlobalSpace::operator<<#?
    {37, 153, -144},	// QGlobalSpace::operator<=##
    {37, 154, 244},	// QGlobalSpace::operator<=#$
    {37, 155, -149},	// QGlobalSpace::operator<=$#
    {37, 156, 194},	// QGlobalSpace::operator<=$$
    {37, 160, -152},	// QGlobalSpace::operator==##
    {37, 161, -170},	// QGlobalSpace::operator==#$
    {37, 162, -176},	// QGlobalSpace::operator==$#
    {37, 163, 386},	// QGlobalSpace::operator==$$
    {37, 165, -183},	// QGlobalSpace::operator>##
    {37, 166, 355},	// QGlobalSpace::operator>#$
    {37, 167, -188},	// QGlobalSpace::operator>$#
    {37, 168, 352},	// QGlobalSpace::operator>$$
    {37, 170, -191},	// QGlobalSpace::operator>=##
    {37, 171, 312},	// QGlobalSpace::operator>=#$
    {37, 172, -196},	// QGlobalSpace::operator>=$#
    {37, 173, 396},	// QGlobalSpace::operator>=$$
    {37, 175, -199},	// QGlobalSpace::operator>>##
    {37, 176, -232},	// QGlobalSpace::operator>>#$
    {37, 177, 334},	// QGlobalSpace::operator>>#?
    {37, 179, -235},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *knewstuff2_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff2_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    knewstuff2_Smoke = new Smoke(
        "knewstuff2",
        __smokeknewstuff2::classes, 85,
        __smokeknewstuff2::methods, 493,
        __smokeknewstuff2::methodMaps, 181,
        __smokeknewstuff2::methodNames, 285,
        __smokeknewstuff2::types, 307,
        __smokeknewstuff2::inheritanceList,
        __smokeknewstuff2::argumentList,
        __smokeknewstuff2::ambiguousMethodList,
        __smokeknewstuff2::cast );
    initialized = true;
}

void delete_knewstuff2_Smoke() { delete knewstuff2_Smoke; }

}
