#include <soprano_includes.h>

#include <smoke.h>
#include <sopranoclient_smoke.h>

namespace __smokesopranoclient {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDebug
      switch(to) {
        case 3: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QHostAddress
      switch(to) {
        case 6: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 7:   //QMetaObject
      switch(to) {
        case 7: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 8:   //QObject
      switch(to) {
        case 8: return (void*)(QObject*)xptr;
        case 22: return (void*)(Soprano::Client::SparqlModel*)(QObject*)xptr;
        case 23: return (void*)(Soprano::Client::TcpClient*)(QObject*)xptr;
        case 16: return (void*)(Soprano::Client::DBusClient*)(QObject*)xptr;
        case 17: return (void*)(Soprano::Client::DBusModel*)(QObject*)xptr;
        case 21: return (void*)(Soprano::Client::LocalSocketClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 9:   //QRegExp
      switch(to) {
        case 9: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 10:   //QTextStream
      switch(to) {
        case 10: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 11:   //QTimerEvent
      switch(to) {
        case 11: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QUrl
      switch(to) {
        case 12: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 13:   //QVariant
      switch(to) {
        case 13: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::Backend
      switch(to) {
        case 25: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 14: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::BackendSetting
      switch(to) {
        case 15: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::Client::DBusClient
      switch(to) {
        case 8: return (void*)(QObject*)(Soprano::Client::DBusClient*)xptr;
        case 25: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::DBusClient*)xptr;
        case 16: return (void*)(Soprano::Client::DBusClient*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Client::DBusModel
      switch(to) {
        case 35: return (void*)(Soprano::StorageModel*)(Soprano::Client::DBusModel*)xptr;
        case 29: return (void*)(Soprano::Model*)(Soprano::Client::DBusModel*)xptr;
        case 8: return (void*)(QObject*)(Soprano::Client::DBusModel*)xptr;
        case 25: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::DBusModel*)xptr;
        case 17: return (void*)(Soprano::Client::DBusModel*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Client::DBusNodeIterator
      switch(to) {
        case 31: return (void*)(Soprano::NodeIterator*)(Soprano::Client::DBusNodeIterator*)xptr;
        case 18: return (void*)(Soprano::Client::DBusNodeIterator*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Client::DBusQueryResultIterator
      switch(to) {
        case 32: return (void*)(Soprano::QueryResultIterator*)(Soprano::Client::DBusQueryResultIterator*)xptr;
        case 19: return (void*)(Soprano::Client::DBusQueryResultIterator*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Client::DBusStatementIterator
      switch(to) {
        case 34: return (void*)(Soprano::StatementIterator*)(Soprano::Client::DBusStatementIterator*)xptr;
        case 20: return (void*)(Soprano::Client::DBusStatementIterator*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::Client::LocalSocketClient
      switch(to) {
        case 8: return (void*)(QObject*)(Soprano::Client::LocalSocketClient*)xptr;
        case 25: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::LocalSocketClient*)xptr;
        case 21: return (void*)(Soprano::Client::LocalSocketClient*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::Client::SparqlModel
      switch(to) {
        case 29: return (void*)(Soprano::Model*)(Soprano::Client::SparqlModel*)xptr;
        case 8: return (void*)(QObject*)(Soprano::Client::SparqlModel*)xptr;
        case 25: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::SparqlModel*)xptr;
        case 22: return (void*)(Soprano::Client::SparqlModel*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Client::TcpClient
      switch(to) {
        case 8: return (void*)(QObject*)(Soprano::Client::TcpClient*)xptr;
        case 25: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::TcpClient*)xptr;
        case 23: return (void*)(Soprano::Client::TcpClient*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::Error::Error
      switch(to) {
        case 24: return (void*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::Error::ErrorCache
      switch(to) {
        case 25: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::Client::SparqlModel*)(Soprano::Error::ErrorCache*)xptr;
        case 23: return (void*)(Soprano::Client::TcpClient*)(Soprano::Error::ErrorCache*)xptr;
        case 16: return (void*)(Soprano::Client::DBusClient*)(Soprano::Error::ErrorCache*)xptr;
        case 17: return (void*)(Soprano::Client::DBusModel*)(Soprano::Error::ErrorCache*)xptr;
        case 21: return (void*)(Soprano::Client::LocalSocketClient*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::Graph
      switch(to) {
        case 26: return (void*)(Soprano::Graph*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::LanguageTag
      switch(to) {
        case 27: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::LiteralValue
      switch(to) {
        case 28: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::Model
      switch(to) {
        case 8: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 25: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 29: return (void*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::Client::SparqlModel*)(Soprano::Model*)xptr;
        case 17: return (void*)(Soprano::Client::DBusModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::Node
      switch(to) {
        case 30: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::NodeIterator
      switch(to) {
        case 31: return (void*)(Soprano::NodeIterator*)xptr;
        case 18: return (void*)(Soprano::Client::DBusNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::QueryResultIterator
      switch(to) {
        case 32: return (void*)(Soprano::QueryResultIterator*)xptr;
        case 19: return (void*)(Soprano::Client::DBusQueryResultIterator*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::Statement
      switch(to) {
        case 33: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::StatementIterator
      switch(to) {
        case 34: return (void*)(Soprano::StatementIterator*)xptr;
        case 20: return (void*)(Soprano::Client::DBusStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 35:   //Soprano::StorageModel
      switch(to) {
        case 29: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 8: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 25: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 35: return (void*)(Soprano::StorageModel*)xptr;
        case 17: return (void*)(Soprano::Client::DBusModel*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::Util::AsyncResult
      switch(to) {
        case 8: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 25: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 36: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    8, 25, 0,	// 1: QObject, Soprano::Error::ErrorCache
    35, 0,	// 4: Soprano::StorageModel
    31, 0,	// 6: Soprano::NodeIterator
    32, 0,	// 8: Soprano::QueryResultIterator
    34, 0,	// 10: Soprano::StatementIterator
    29, 0,	// 12: Soprano::Model
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusQueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__LocalSocketClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__SparqlModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__TcpClient(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDebug", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//6
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//7
    { "QObject", true, 0, 0, 0, 0, 0 },	//8
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//9
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//10
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QUrl", true, 0, 0, 0, 0, 0 },	//12
    { "QVariant", true, 0, 0, 0, 0, 0 },	//13
    { "Soprano::Backend", true, 0, 0, 0, 0, 0 },	//14
    { "Soprano::BackendSetting", true, 0, 0, 0, 0, 0 },	//15
    { "Soprano::Client::DBusClient", false, 1, xcall_Soprano__Client__DBusClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::DBusClient) },	//16
    { "Soprano::Client::DBusModel", false, 4, xcall_Soprano__Client__DBusModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::DBusModel) },	//17
    { "Soprano::Client::DBusNodeIterator", false, 6, xcall_Soprano__Client__DBusNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Client::DBusNodeIterator) },	//18
    { "Soprano::Client::DBusQueryResultIterator", false, 8, xcall_Soprano__Client__DBusQueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Client::DBusQueryResultIterator) },	//19
    { "Soprano::Client::DBusStatementIterator", false, 10, xcall_Soprano__Client__DBusStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Client::DBusStatementIterator) },	//20
    { "Soprano::Client::LocalSocketClient", false, 1, xcall_Soprano__Client__LocalSocketClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::LocalSocketClient) },	//21
    { "Soprano::Client::SparqlModel", false, 12, xcall_Soprano__Client__SparqlModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::SparqlModel) },	//22
    { "Soprano::Client::TcpClient", false, 1, xcall_Soprano__Client__TcpClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::TcpClient) },	//23
    { "Soprano::Error::Error", true, 0, 0, 0, 0, 0 },	//24
    { "Soprano::Error::ErrorCache", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::Graph", true, 0, 0, 0, 0, 0 },	//26
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//27
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//28
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//29
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//30
    { "Soprano::NodeIterator", true, 0, 0, 0, 0, 0 },	//31
    { "Soprano::QueryResultIterator", true, 0, 0, 0, 0, 0 },	//32
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//33
    { "Soprano::StatementIterator", true, 0, 0, 0, 0, 0 },	//34
    { "Soprano::StorageModel", true, 0, 0, 0, 0, 0 },	//35
    { "Soprano::Util::AsyncResult", true, 0, 0, 0, 0, 0 },	//36
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDebug", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//6
    { "QMetaObject::Call", 7, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QObject*", 8, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QRegExp&", 9, Smoke::t_class|Smoke::tf_ref },	//9
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//12
    { "QTextStream&", 10, Smoke::t_class|Smoke::tf_ref },	//13
    { "QTimerEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QUrl", 12, Smoke::t_class|Smoke::tf_stack },	//15
    { "QVariant", 13, Smoke::t_class|Smoke::tf_stack },	//16
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QtValidLicenseForActiveQtModule", 5, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QtValidLicenseForCoreModule", 5, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtValidLicenseForDBusModule", 5, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QtValidLicenseForDeclarativeModule", 5, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QtValidLicenseForGuiModule", 5, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QtValidLicenseForHelpModule", 5, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtValidLicenseForMultimediaModule", 5, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtValidLicenseForNetworkModule", 5, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForOpenGLModule", 5, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForOpenVGModule", 5, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForQt3SupportLightModule", 5, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForQt3SupportModule", 5, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForScriptModule", 5, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForScriptToolsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForSqlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForSvgModule", 5, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForTestModule", 5, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForXmlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForXmlPatternsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Soprano::BackendSetting", 15, Smoke::t_class|Smoke::tf_stack },	//111
    { "Soprano::BackendSetting&", 15, Smoke::t_class|Smoke::tf_ref },	//112
    { "Soprano::Client::DBusClient*", 16, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Soprano::Client::DBusModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Soprano::Client::DBusNodeIterator*", 18, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Soprano::Client::DBusQueryResultIterator*", 19, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Soprano::Client::DBusStatementIterator*", 20, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Soprano::Client::LocalSocketClient*", 21, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Soprano::Client::SparqlModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Soprano::Client::TcpClient*", 23, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Soprano::Error::Error", 24, Smoke::t_class|Smoke::tf_stack },	//121
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Soprano::Model*", 29, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Soprano::Node", 30, Smoke::t_class|Smoke::tf_stack },	//125
    { "Soprano::NodeIterator", 31, Smoke::t_class|Smoke::tf_stack },	//126
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Soprano::QueryResultIterator", 32, Smoke::t_class|Smoke::tf_stack },	//128
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Soprano::StatementIterator", 34, Smoke::t_class|Smoke::tf_stack },	//130
    { "Soprano::Util::AsyncResult*", 36, Smoke::t_class|Smoke::tf_ptr },	//131
    { "__codecvt_result", 5, Smoke::t_enum|Smoke::tf_stack },	//132
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//133
    { "const QHostAddress&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//135
    { "const QMetaObject&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QMetaObject*", 7, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//137
    { "const QRegExp&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//141
    { "const QVariant&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const Soprano::Backend*", 14, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//143
    { "const Soprano::Client::DBusNodeIterator&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//144
    { "const Soprano::Client::DBusQueryResultIterator&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//145
    { "const Soprano::Client::DBusStatementIterator&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//146
    { "const Soprano::Graph&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//147
    { "const Soprano::LanguageTag&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//148
    { "const Soprano::LiteralValue&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//149
    { "const Soprano::Node&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//150
    { "const Soprano::Statement&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//151
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//152
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//153
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//154
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//155
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//156
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//157
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//158
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//159
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    4, 0,	//1  QEvent*
    8, 4, 0,	//3  QObject*, QEvent*
    14, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    152, 0,	//10  const char*
    152, 152, 0,	//12  const char*, const char*
    152, 152, 154, 0,	//15  const char*, const char*, int
    7, 154, 159, 0,	//19  QMetaObject::Call, int, void**
    139, 8, 0,	//23  const QString&, QObject*
    139, 135, 0,	//26  const QString&, const QList<Soprano::BackendSetting>&
    139, 0,	//29  const QString&
    139, 139, 143, 0,	//31  const QString&, const QString&, const Soprano::Backend*
    133, 0,	//35  bool
    151, 0,	//37  const Soprano::Statement&
    139, 127, 139, 0,	//39  const QString&, Soprano::Query::QueryLanguage, const QString&
    150, 150, 150, 150, 0,	//43  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    139, 139, 0,	//48  const QString&, const QString&
    139, 127, 0,	//51  const QString&, Soprano::Query::QueryLanguage
    150, 150, 150, 0,	//54  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    144, 0,	//58  const Soprano::Client::DBusNodeIterator&
    145, 0,	//60  const Soprano::Client::DBusQueryResultIterator&
    146, 0,	//62  const Soprano::Client::DBusStatementIterator&
    8, 0,	//64  QObject*
    139, 157, 139, 139, 0,	//66  const QString&, unsigned short, const QString&, const QString&
    139, 157, 0,	//71  const QString&, unsigned short
    139, 157, 139, 0,	//74  const QString&, unsigned short, const QString&
    134, 154, 0,	//78  const QHostAddress&, int
    134, 0,	//81  const QHostAddress&
    13, 0,	//83  QTextStream&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DBusClient",	//1
    "DBusClient$",	//2
    "DBusClient$#",	//3
    "DBusModel",	//4
    "DBusModel$$",	//5
    "DBusModel$$#",	//6
    "DBusNodeIterator",	//7
    "DBusNodeIterator#",	//8
    "DBusNodeIterator$$",	//9
    "DBusQueryResultIterator",	//10
    "DBusQueryResultIterator#",	//11
    "DBusQueryResultIterator$$",	//12
    "DBusStatementIterator",	//13
    "DBusStatementIterator#",	//14
    "DBusStatementIterator$$",	//15
    "DEFAULT_PORT",	//16
    "LicensedActiveQt",	//17
    "LicensedCore",	//18
    "LicensedDBus",	//19
    "LicensedDeclarative",	//20
    "LicensedGui",	//21
    "LicensedHelp",	//22
    "LicensedMultimedia",	//23
    "LicensedNetwork",	//24
    "LicensedOpenGL",	//25
    "LicensedOpenVG",	//26
    "LicensedQt3Support",	//27
    "LicensedQt3SupportLight",	//28
    "LicensedScript",	//29
    "LicensedScriptTools",	//30
    "LicensedSql",	//31
    "LicensedSvg",	//32
    "LicensedTest",	//33
    "LicensedXml",	//34
    "LicensedXmlPatterns",	//35
    "LocalSocketClient",	//36
    "LocalSocketClient#",	//37
    "Q_COMPLEX_TYPE",	//38
    "Q_DUMMY_TYPE",	//39
    "Q_MOVABLE_TYPE",	//40
    "Q_PRIMITIVE_TYPE",	//41
    "Q_STATIC_TYPE",	//42
    "QtCriticalMsg",	//43
    "QtDebugMsg",	//44
    "QtFatalMsg",	//45
    "QtSystemMsg",	//46
    "QtWarningMsg",	//47
    "SparqlModel",	//48
    "SparqlModel$",	//49
    "SparqlModel$$",	//50
    "SparqlModel$$$",	//51
    "SparqlModel$$$$",	//52
    "TcpClient",	//53
    "TcpClient#",	//54
    "__codecvt_error",	//55
    "__codecvt_noconv",	//56
    "__codecvt_ok",	//57
    "__codecvt_partial",	//58
    "addStatement",	//59
    "addStatement#",	//60
    "addStatement###",	//61
    "addStatement####",	//62
    "allModels",	//63
    "asyncCalls",	//64
    "childEvent",	//65
    "connect",	//66
    "connect#",	//67
    "connect#$",	//68
    "connect$",	//69
    "connectNotify",	//70
    "containsAnyStatement",	//71
    "containsAnyStatement#",	//72
    "containsAnyStatement###",	//73
    "containsAnyStatement####",	//74
    "containsStatement",	//75
    "containsStatement#",	//76
    "containsStatement###",	//77
    "containsStatement####",	//78
    "createBlankNode",	//79
    "createModel",	//80
    "createModel$",	//81
    "createModel$?",	//82
    "customEvent",	//83
    "disconnect",	//84
    "disconnectNotify",	//85
    "event",	//86
    "eventFilter",	//87
    "executeQuery",	//88
    "executeQuery$",	//89
    "executeQuery$$",	//90
    "executeQuery$$$",	//91
    "executeQueryAsync",	//92
    "executeQueryAsync$",	//93
    "executeQueryAsync$$",	//94
    "executeQueryAsync$$$",	//95
    "isConnected",	//96
    "isEmpty",	//97
    "isValid",	//98
    "lastError",	//99
    "listContexts",	//100
    "listContextsAsync",	//101
    "listStatements",	//102
    "listStatements#",	//103
    "listStatements###",	//104
    "listStatements####",	//105
    "listStatementsAsync",	//106
    "listStatementsAsync#",	//107
    "metaObject",	//108
    "qt_metacall",	//109
    "qt_metacall$$?",	//110
    "qt_metacast",	//111
    "qt_metacast$",	//112
    "removeAllStatements",	//113
    "removeAllStatements#",	//114
    "removeAllStatements###",	//115
    "removeAllStatements####",	//116
    "removeModel",	//117
    "removeModel$",	//118
    "removeStatement",	//119
    "removeStatement#",	//120
    "removeStatement###",	//121
    "removeStatement####",	//122
    "setAsyncCalls",	//123
    "setAsyncCalls$",	//124
    "setHost",	//125
    "setHost$",	//126
    "setHost$$",	//127
    "setPath",	//128
    "setPath$",	//129
    "setUser",	//130
    "setUser$",	//131
    "setUser$$",	//132
    "statementCount",	//133
    "staticMetaObject",	//134
    "timerEvent",	//135
    "tr",	//136
    "tr$",	//137
    "tr$$",	//138
    "tr$$$",	//139
    "trUtf8",	//140
    "trUtf8$",	//141
    "trUtf8$$",	//142
    "trUtf8$$$",	//143
    "write",	//144
    "~DBusClient",	//145
    "~DBusModel",	//146
    "~DBusNodeIterator",	//147
    "~DBusQueryResultIterator",	//148
    "~DBusStatementIterator",	//149
    "~LocalSocketClient",	//150
    "~SparqlModel",	//151
    "~TcpClient",	//152
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {5, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {5, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {5, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {5, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {5, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {5, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {5, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {5, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {5, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {5, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {5, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {5, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {5, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {5, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {5, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {5, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {5, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {5, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {5, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {5, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {5, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {5, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {5, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {5, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 30},	//30 QGlobalSpace::__codecvt_ok (enum)
    {5, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 31},	//31 QGlobalSpace::__codecvt_partial (enum)
    {5, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 32},	//32 QGlobalSpace::__codecvt_error (enum)
    {5, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 33},	//33 QGlobalSpace::__codecvt_noconv (enum)
    {8, 86, 1, 1, Smoke::mf_virtual, 133, 0},	//34 QObject::event(QEvent*)
    {8, 87, 3, 2, Smoke::mf_virtual, 133, 0},	//35 QObject::eventFilter(QObject*, QEvent*)
    {8, 135, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::timerEvent(QTimerEvent*)
    {8, 65, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::childEvent(QChildEvent*)
    {8, 83, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::customEvent(QEvent*)
    {8, 70, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::connectNotify(const char*)
    {8, 85, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::disconnectNotify(const char*)
    {16, 108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 137, 1},	//41 Soprano::Client::DBusClient::metaObject() const
    {16, 111, 10, 1, Smoke::mf_virtual, 158, 2},	//42 Soprano::Client::DBusClient::qt_metacast(const char*)
    {16, 136, 12, 2, Smoke::mf_static, 10, 3},	//43 Soprano::Client::DBusClient::tr(const char*, const char*)
    {16, 140, 12, 2, Smoke::mf_static, 10, 4},	//44 Soprano::Client::DBusClient::trUtf8(const char*, const char*)
    {16, 136, 15, 3, Smoke::mf_static, 10, 5},	//45 Soprano::Client::DBusClient::tr(const char*, const char*, int)
    {16, 140, 15, 3, Smoke::mf_static, 10, 6},	//46 Soprano::Client::DBusClient::trUtf8(const char*, const char*, int)
    {16, 109, 19, 3, Smoke::mf_virtual, 154, 7},	//47 Soprano::Client::DBusClient::qt_metacall(QMetaObject::Call, int, void**)
    {16, 1, 23, 2, Smoke::mf_ctor, 113, 8},	//48 Soprano::Client::DBusClient::DBusClient(const QString&, QObject*)
    {16, 98, 0, 0, Smoke::mf_const, 133, 9},	//49 Soprano::Client::DBusClient::isValid() const
    {16, 63, 0, 0, Smoke::mf_const, 11, 10},	//50 Soprano::Client::DBusClient::allModels() const
    {16, 80, 26, 2, 0, 114, 11},	//51 Soprano::Client::DBusClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
    {16, 117, 29, 1, 0, 0, 12},	//52 Soprano::Client::DBusClient::removeModel(const QString&)
    {16, 136, 10, 1, Smoke::mf_static, 10, 13},	//53 Soprano::Client::DBusClient::tr(const char*)
    {16, 140, 10, 1, Smoke::mf_static, 10, 14},	//54 Soprano::Client::DBusClient::trUtf8(const char*)
    {16, 1, 0, 0, Smoke::mf_ctor, 113, 15},	//55 Soprano::Client::DBusClient::DBusClient()
    {16, 1, 29, 1, Smoke::mf_ctor, 113, 16},	//56 Soprano::Client::DBusClient::DBusClient(const QString&)
    {16, 80, 29, 1, 0, 114, 17},	//57 Soprano::Client::DBusClient::createModel(const QString&)
    {16, 134, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 136, 18},	//58 Soprano::Client::DBusClient::staticMetaObject() const
    {16, 145, 0, 0, Smoke::mf_dtor, 0, 19 },	//59 Soprano::Client::DBusClient::~DBusClient()
    {17, 108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 137, 1},	//60 Soprano::Client::DBusModel::metaObject() const
    {17, 111, 10, 1, Smoke::mf_virtual, 158, 2},	//61 Soprano::Client::DBusModel::qt_metacast(const char*)
    {17, 136, 12, 2, Smoke::mf_static, 10, 3},	//62 Soprano::Client::DBusModel::tr(const char*, const char*)
    {17, 140, 12, 2, Smoke::mf_static, 10, 4},	//63 Soprano::Client::DBusModel::trUtf8(const char*, const char*)
    {17, 136, 15, 3, Smoke::mf_static, 10, 5},	//64 Soprano::Client::DBusModel::tr(const char*, const char*, int)
    {17, 140, 15, 3, Smoke::mf_static, 10, 6},	//65 Soprano::Client::DBusModel::trUtf8(const char*, const char*, int)
    {17, 109, 19, 3, Smoke::mf_virtual, 154, 7},	//66 Soprano::Client::DBusModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 4, 31, 3, Smoke::mf_ctor, 114, 8},	//67 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&, const Soprano::Backend*)
    {17, 123, 35, 1, 0, 0, 9},	//68 Soprano::Client::DBusModel::setAsyncCalls(bool)
    {17, 64, 0, 0, Smoke::mf_const, 133, 10},	//69 Soprano::Client::DBusModel::asyncCalls() const
    {17, 59, 37, 1, Smoke::mf_virtual, 122, 11},	//70 Soprano::Client::DBusModel::addStatement(const Soprano::Statement&)
    {17, 100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 126, 12},	//71 Soprano::Client::DBusModel::listContexts() const
    {17, 88, 39, 3, Smoke::mf_const|Smoke::mf_virtual, 128, 13},	//72 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {17, 102, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 14},	//73 Soprano::Client::DBusModel::listStatements(const Soprano::Statement&) const
    {17, 119, 37, 1, Smoke::mf_virtual, 122, 15},	//74 Soprano::Client::DBusModel::removeStatement(const Soprano::Statement&)
    {17, 113, 37, 1, Smoke::mf_virtual, 122, 16},	//75 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Statement&)
    {17, 133, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 17},	//76 Soprano::Client::DBusModel::statementCount() const
    {17, 97, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 133, 18},	//77 Soprano::Client::DBusModel::isEmpty() const
    {17, 75, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 133, 19},	//78 Soprano::Client::DBusModel::containsStatement(const Soprano::Statement&) const
    {17, 71, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 133, 20},	//79 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Statement&) const
    {17, 79, 0, 0, Smoke::mf_virtual, 125, 21},	//80 Soprano::Client::DBusModel::createBlankNode()
    {17, 113, 43, 4, 0, 122, 22},	//81 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {17, 113, 0, 0, 0, 122, 23},	//82 Soprano::Client::DBusModel::removeAllStatements()
    {17, 75, 43, 4, Smoke::mf_const, 133, 24},	//83 Soprano::Client::DBusModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {17, 71, 43, 4, Smoke::mf_const, 133, 25},	//84 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {17, 136, 10, 1, Smoke::mf_static, 10, 26},	//85 Soprano::Client::DBusModel::tr(const char*)
    {17, 140, 10, 1, Smoke::mf_static, 10, 27},	//86 Soprano::Client::DBusModel::trUtf8(const char*)
    {17, 4, 48, 2, Smoke::mf_ctor, 114, 28},	//87 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&)
    {17, 88, 51, 2, Smoke::mf_const, 128, 29},	//88 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {17, 113, 54, 3, 0, 122, 30},	//89 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {17, 75, 54, 3, Smoke::mf_const, 133, 31},	//90 Soprano::Client::DBusModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {17, 71, 54, 3, Smoke::mf_const, 133, 32},	//91 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {17, 134, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 136, 33},	//92 Soprano::Client::DBusModel::staticMetaObject() const
    {17, 146, 0, 0, Smoke::mf_dtor, 0, 34 },	//93 Soprano::Client::DBusModel::~DBusModel()
    {18, 7, 48, 2, Smoke::mf_ctor, 115, 1},	//94 Soprano::Client::DBusNodeIterator::DBusNodeIterator(const QString&, const QString&)
    {18, 7, 58, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 115, 2},	//95 Soprano::Client::DBusNodeIterator::DBusNodeIterator(const Soprano::Client::DBusNodeIterator&)
    {18, 147, 0, 0, Smoke::mf_dtor, 0, 3 },	//96 Soprano::Client::DBusNodeIterator::~DBusNodeIterator()
    {19, 10, 48, 2, Smoke::mf_ctor, 116, 1},	//97 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator(const QString&, const QString&)
    {19, 10, 60, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 2},	//98 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator(const Soprano::Client::DBusQueryResultIterator&)
    {19, 148, 0, 0, Smoke::mf_dtor, 0, 3 },	//99 Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator()
    {20, 13, 48, 2, Smoke::mf_ctor, 117, 1},	//100 Soprano::Client::DBusStatementIterator::DBusStatementIterator(const QString&, const QString&)
    {20, 13, 62, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//101 Soprano::Client::DBusStatementIterator::DBusStatementIterator(const Soprano::Client::DBusStatementIterator&)
    {20, 149, 0, 0, Smoke::mf_dtor, 0, 3 },	//102 Soprano::Client::DBusStatementIterator::~DBusStatementIterator()
    {21, 108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 137, 1},	//103 Soprano::Client::LocalSocketClient::metaObject() const
    {21, 111, 10, 1, Smoke::mf_virtual, 158, 2},	//104 Soprano::Client::LocalSocketClient::qt_metacast(const char*)
    {21, 136, 12, 2, Smoke::mf_static, 10, 3},	//105 Soprano::Client::LocalSocketClient::tr(const char*, const char*)
    {21, 140, 12, 2, Smoke::mf_static, 10, 4},	//106 Soprano::Client::LocalSocketClient::trUtf8(const char*, const char*)
    {21, 136, 15, 3, Smoke::mf_static, 10, 5},	//107 Soprano::Client::LocalSocketClient::tr(const char*, const char*, int)
    {21, 140, 15, 3, Smoke::mf_static, 10, 6},	//108 Soprano::Client::LocalSocketClient::trUtf8(const char*, const char*, int)
    {21, 109, 19, 3, Smoke::mf_virtual, 154, 7},	//109 Soprano::Client::LocalSocketClient::qt_metacall(QMetaObject::Call, int, void**)
    {21, 36, 64, 1, Smoke::mf_ctor, 118, 8},	//110 Soprano::Client::LocalSocketClient::LocalSocketClient(QObject*)
    {21, 96, 0, 0, Smoke::mf_const, 133, 9},	//111 Soprano::Client::LocalSocketClient::isConnected() const
    {21, 80, 26, 2, 0, 124, 10},	//112 Soprano::Client::LocalSocketClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
    {21, 117, 29, 1, 0, 0, 11},	//113 Soprano::Client::LocalSocketClient::removeModel(const QString&)
    {21, 66, 29, 1, Smoke::mf_slot, 133, 12},	//114 Soprano::Client::LocalSocketClient::connect(const QString&)
    {21, 84, 0, 0, Smoke::mf_slot, 0, 13},	//115 Soprano::Client::LocalSocketClient::disconnect()
    {21, 136, 10, 1, Smoke::mf_static, 10, 14},	//116 Soprano::Client::LocalSocketClient::tr(const char*)
    {21, 140, 10, 1, Smoke::mf_static, 10, 15},	//117 Soprano::Client::LocalSocketClient::trUtf8(const char*)
    {21, 36, 0, 0, Smoke::mf_ctor, 118, 16},	//118 Soprano::Client::LocalSocketClient::LocalSocketClient()
    {21, 80, 29, 1, 0, 124, 17},	//119 Soprano::Client::LocalSocketClient::createModel(const QString&)
    {21, 66, 0, 0, Smoke::mf_slot, 133, 18},	//120 Soprano::Client::LocalSocketClient::connect()
    {21, 134, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 136, 19},	//121 Soprano::Client::LocalSocketClient::staticMetaObject() const
    {21, 150, 0, 0, Smoke::mf_dtor, 0, 20 },	//122 Soprano::Client::LocalSocketClient::~LocalSocketClient()
    {22, 108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 137, 1},	//123 Soprano::Client::SparqlModel::metaObject() const
    {22, 111, 10, 1, Smoke::mf_virtual, 158, 2},	//124 Soprano::Client::SparqlModel::qt_metacast(const char*)
    {22, 136, 12, 2, Smoke::mf_static, 10, 3},	//125 Soprano::Client::SparqlModel::tr(const char*, const char*)
    {22, 140, 12, 2, Smoke::mf_static, 10, 4},	//126 Soprano::Client::SparqlModel::trUtf8(const char*, const char*)
    {22, 136, 15, 3, Smoke::mf_static, 10, 5},	//127 Soprano::Client::SparqlModel::tr(const char*, const char*, int)
    {22, 140, 15, 3, Smoke::mf_static, 10, 6},	//128 Soprano::Client::SparqlModel::trUtf8(const char*, const char*, int)
    {22, 109, 19, 3, Smoke::mf_virtual, 154, 7},	//129 Soprano::Client::SparqlModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 48, 66, 4, Smoke::mf_ctor, 119, 8},	//130 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short, const QString&, const QString&)
    {22, 125, 71, 2, 0, 0, 9},	//131 Soprano::Client::SparqlModel::setHost(const QString&, unsigned short)
    {22, 130, 48, 2, 0, 0, 10},	//132 Soprano::Client::SparqlModel::setUser(const QString&, const QString&)
    {22, 128, 29, 1, 0, 0, 11},	//133 Soprano::Client::SparqlModel::setPath(const QString&)
    {22, 59, 37, 1, Smoke::mf_virtual, 122, 12},	//134 Soprano::Client::SparqlModel::addStatement(const Soprano::Statement&)
    {22, 119, 37, 1, Smoke::mf_virtual, 122, 13},	//135 Soprano::Client::SparqlModel::removeStatement(const Soprano::Statement&)
    {22, 113, 37, 1, Smoke::mf_virtual, 122, 14},	//136 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Statement&)
    {22, 102, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 15},	//137 Soprano::Client::SparqlModel::listStatements(const Soprano::Statement&) const
    {22, 106, 37, 1, Smoke::mf_const, 131, 16},	//138 Soprano::Client::SparqlModel::listStatementsAsync(const Soprano::Statement&) const
    {22, 88, 39, 3, Smoke::mf_const|Smoke::mf_virtual, 128, 17},	//139 Soprano::Client::SparqlModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {22, 92, 39, 3, Smoke::mf_const, 131, 18},	//140 Soprano::Client::SparqlModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {22, 100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 126, 19},	//141 Soprano::Client::SparqlModel::listContexts() const
    {22, 101, 0, 0, Smoke::mf_const, 131, 20},	//142 Soprano::Client::SparqlModel::listContextsAsync() const
    {22, 75, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 133, 21},	//143 Soprano::Client::SparqlModel::containsStatement(const Soprano::Statement&) const
    {22, 71, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 133, 22},	//144 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Statement&) const
    {22, 133, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 23},	//145 Soprano::Client::SparqlModel::statementCount() const
    {22, 97, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 133, 24},	//146 Soprano::Client::SparqlModel::isEmpty() const
    {22, 79, 0, 0, Smoke::mf_virtual, 125, 25},	//147 Soprano::Client::SparqlModel::createBlankNode()
    {22, 59, 43, 4, 0, 122, 26},	//148 Soprano::Client::SparqlModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 119, 43, 4, 0, 122, 27},	//149 Soprano::Client::SparqlModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 113, 43, 4, 0, 122, 28},	//150 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 113, 0, 0, 0, 122, 29},	//151 Soprano::Client::SparqlModel::removeAllStatements()
    {22, 102, 43, 4, Smoke::mf_const, 130, 30},	//152 Soprano::Client::SparqlModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 102, 0, 0, Smoke::mf_const, 130, 31},	//153 Soprano::Client::SparqlModel::listStatements() const
    {22, 75, 43, 4, Smoke::mf_const, 133, 32},	//154 Soprano::Client::SparqlModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 71, 43, 4, Smoke::mf_const, 133, 33},	//155 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 136, 10, 1, Smoke::mf_static, 10, 34},	//156 Soprano::Client::SparqlModel::tr(const char*)
    {22, 140, 10, 1, Smoke::mf_static, 10, 35},	//157 Soprano::Client::SparqlModel::trUtf8(const char*)
    {22, 48, 0, 0, Smoke::mf_ctor, 119, 36},	//158 Soprano::Client::SparqlModel::SparqlModel()
    {22, 48, 29, 1, Smoke::mf_ctor, 119, 37},	//159 Soprano::Client::SparqlModel::SparqlModel(const QString&)
    {22, 48, 71, 2, Smoke::mf_ctor, 119, 38},	//160 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short)
    {22, 48, 74, 3, Smoke::mf_ctor, 119, 39},	//161 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short, const QString&)
    {22, 125, 29, 1, 0, 0, 40},	//162 Soprano::Client::SparqlModel::setHost(const QString&)
    {22, 130, 29, 1, 0, 0, 41},	//163 Soprano::Client::SparqlModel::setUser(const QString&)
    {22, 88, 29, 1, Smoke::mf_const, 128, 42},	//164 Soprano::Client::SparqlModel::executeQuery(const QString&) const
    {22, 88, 51, 2, Smoke::mf_const, 128, 43},	//165 Soprano::Client::SparqlModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {22, 92, 29, 1, Smoke::mf_const, 131, 44},	//166 Soprano::Client::SparqlModel::executeQueryAsync(const QString&) const
    {22, 92, 51, 2, Smoke::mf_const, 131, 45},	//167 Soprano::Client::SparqlModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {22, 59, 54, 3, 0, 122, 46},	//168 Soprano::Client::SparqlModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 119, 54, 3, 0, 122, 47},	//169 Soprano::Client::SparqlModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 113, 54, 3, 0, 122, 48},	//170 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 102, 54, 3, Smoke::mf_const, 130, 49},	//171 Soprano::Client::SparqlModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 75, 54, 3, Smoke::mf_const, 133, 50},	//172 Soprano::Client::SparqlModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 71, 54, 3, Smoke::mf_const, 133, 51},	//173 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 134, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 136, 52},	//174 Soprano::Client::SparqlModel::staticMetaObject() const
    {22, 151, 0, 0, Smoke::mf_dtor, 0, 53 },	//175 Soprano::Client::SparqlModel::~SparqlModel()
    {23, 108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 137, 1},	//176 Soprano::Client::TcpClient::metaObject() const
    {23, 111, 10, 1, Smoke::mf_virtual, 158, 2},	//177 Soprano::Client::TcpClient::qt_metacast(const char*)
    {23, 136, 12, 2, Smoke::mf_static, 10, 3},	//178 Soprano::Client::TcpClient::tr(const char*, const char*)
    {23, 140, 12, 2, Smoke::mf_static, 10, 4},	//179 Soprano::Client::TcpClient::trUtf8(const char*, const char*)
    {23, 136, 15, 3, Smoke::mf_static, 10, 5},	//180 Soprano::Client::TcpClient::tr(const char*, const char*, int)
    {23, 140, 15, 3, Smoke::mf_static, 10, 6},	//181 Soprano::Client::TcpClient::trUtf8(const char*, const char*, int)
    {23, 109, 19, 3, Smoke::mf_virtual, 154, 7},	//182 Soprano::Client::TcpClient::qt_metacall(QMetaObject::Call, int, void**)
    {23, 53, 64, 1, Smoke::mf_ctor, 120, 8},	//183 Soprano::Client::TcpClient::TcpClient(QObject*)
    {23, 66, 78, 2, 0, 133, 9},	//184 Soprano::Client::TcpClient::connect(const QHostAddress&, int)
    {23, 96, 0, 0, 0, 133, 10},	//185 Soprano::Client::TcpClient::isConnected()
    {23, 84, 0, 0, 0, 0, 11},	//186 Soprano::Client::TcpClient::disconnect()
    {23, 80, 26, 2, 0, 124, 12},	//187 Soprano::Client::TcpClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
    {23, 117, 29, 1, 0, 0, 13},	//188 Soprano::Client::TcpClient::removeModel(const QString&)
    {23, 136, 10, 1, Smoke::mf_static, 10, 14},	//189 Soprano::Client::TcpClient::tr(const char*)
    {23, 140, 10, 1, Smoke::mf_static, 10, 15},	//190 Soprano::Client::TcpClient::trUtf8(const char*)
    {23, 53, 0, 0, Smoke::mf_ctor, 120, 16},	//191 Soprano::Client::TcpClient::TcpClient()
    {23, 66, 0, 0, 0, 133, 17},	//192 Soprano::Client::TcpClient::connect()
    {23, 66, 81, 1, 0, 133, 18},	//193 Soprano::Client::TcpClient::connect(const QHostAddress&)
    {23, 80, 29, 1, 0, 124, 19},	//194 Soprano::Client::TcpClient::createModel(const QString&)
    {23, 134, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 136, 20},	//195 Soprano::Client::TcpClient::staticMetaObject() const
    {23, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 21},	//196 Soprano::Client::TcpClient::DEFAULT_PORT() const
    {23, 152, 0, 0, Smoke::mf_dtor, 0, 22 },	//197 Soprano::Client::TcpClient::~TcpClient()
    {25, 99, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 0},	//198 Soprano::Error::ErrorCache::lastError() const
    {29, 144, 83, 1, Smoke::mf_const|Smoke::mf_virtual, 122, 0},	//199 Soprano::Model::write(QTextStream&) const
};

static Smoke::Index ambiguousMethodList[] = {
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 17, 13},	// QGlobalSpace::LicensedActiveQt
    {5, 18, 19},	// QGlobalSpace::LicensedCore
    {5, 19, 11},	// QGlobalSpace::LicensedDBus
    {5, 20, 16},	// QGlobalSpace::LicensedDeclarative
    {5, 21, 6},	// QGlobalSpace::LicensedGui
    {5, 22, 25},	// QGlobalSpace::LicensedHelp
    {5, 23, 26},	// QGlobalSpace::LicensedMultimedia
    {5, 24, 29},	// QGlobalSpace::LicensedNetwork
    {5, 25, 18},	// QGlobalSpace::LicensedOpenGL
    {5, 26, 10},	// QGlobalSpace::LicensedOpenVG
    {5, 27, 27},	// QGlobalSpace::LicensedQt3Support
    {5, 28, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {5, 29, 9},	// QGlobalSpace::LicensedScript
    {5, 30, 14},	// QGlobalSpace::LicensedScriptTools
    {5, 31, 17},	// QGlobalSpace::LicensedSql
    {5, 32, 15},	// QGlobalSpace::LicensedSvg
    {5, 33, 12},	// QGlobalSpace::LicensedTest
    {5, 34, 7},	// QGlobalSpace::LicensedXml
    {5, 35, 28},	// QGlobalSpace::LicensedXmlPatterns
    {5, 38, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 39, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 40, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 41, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 42, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 43, 22},	// QGlobalSpace::QtCriticalMsg
    {5, 44, 20},	// QGlobalSpace::QtDebugMsg
    {5, 45, 23},	// QGlobalSpace::QtFatalMsg
    {5, 46, 24},	// QGlobalSpace::QtSystemMsg
    {5, 47, 21},	// QGlobalSpace::QtWarningMsg
    {5, 55, 32},	// QGlobalSpace::__codecvt_error
    {5, 56, 33},	// QGlobalSpace::__codecvt_noconv
    {5, 57, 30},	// QGlobalSpace::__codecvt_ok
    {5, 58, 31},	// QGlobalSpace::__codecvt_partial
    {16, 1, 55},	// Soprano::Client::DBusClient::DBusClient
    {16, 2, 56},	// Soprano::Client::DBusClient::DBusClient$
    {16, 3, 48},	// Soprano::Client::DBusClient::DBusClient$#
    {16, 63, 50},	// Soprano::Client::DBusClient::allModels
    {16, 81, 57},	// Soprano::Client::DBusClient::createModel$
    {16, 82, 51},	// Soprano::Client::DBusClient::createModel$?
    {16, 98, 49},	// Soprano::Client::DBusClient::isValid
    {16, 108, 41},	// Soprano::Client::DBusClient::metaObject
    {16, 110, 47},	// Soprano::Client::DBusClient::qt_metacall$$?
    {16, 112, 42},	// Soprano::Client::DBusClient::qt_metacast$
    {16, 118, 52},	// Soprano::Client::DBusClient::removeModel$
    {16, 134, 58},	// Soprano::Client::DBusClient::staticMetaObject
    {16, 137, 53},	// Soprano::Client::DBusClient::tr$
    {16, 138, 43},	// Soprano::Client::DBusClient::tr$$
    {16, 139, 45},	// Soprano::Client::DBusClient::tr$$$
    {16, 141, 54},	// Soprano::Client::DBusClient::trUtf8$
    {16, 142, 44},	// Soprano::Client::DBusClient::trUtf8$$
    {16, 143, 46},	// Soprano::Client::DBusClient::trUtf8$$$
    {16, 145, 59},	// Soprano::Client::DBusClient::~DBusClient
    {17, 5, 87},	// Soprano::Client::DBusModel::DBusModel$$
    {17, 6, 67},	// Soprano::Client::DBusModel::DBusModel$$#
    {17, 60, 70},	// Soprano::Client::DBusModel::addStatement#
    {17, 64, 69},	// Soprano::Client::DBusModel::asyncCalls
    {17, 72, 79},	// Soprano::Client::DBusModel::containsAnyStatement#
    {17, 73, 91},	// Soprano::Client::DBusModel::containsAnyStatement###
    {17, 74, 84},	// Soprano::Client::DBusModel::containsAnyStatement####
    {17, 76, 78},	// Soprano::Client::DBusModel::containsStatement#
    {17, 77, 90},	// Soprano::Client::DBusModel::containsStatement###
    {17, 78, 83},	// Soprano::Client::DBusModel::containsStatement####
    {17, 79, 80},	// Soprano::Client::DBusModel::createBlankNode
    {17, 90, 88},	// Soprano::Client::DBusModel::executeQuery$$
    {17, 91, 72},	// Soprano::Client::DBusModel::executeQuery$$$
    {17, 97, 77},	// Soprano::Client::DBusModel::isEmpty
    {17, 100, 71},	// Soprano::Client::DBusModel::listContexts
    {17, 103, 73},	// Soprano::Client::DBusModel::listStatements#
    {17, 108, 60},	// Soprano::Client::DBusModel::metaObject
    {17, 110, 66},	// Soprano::Client::DBusModel::qt_metacall$$?
    {17, 112, 61},	// Soprano::Client::DBusModel::qt_metacast$
    {17, 113, 82},	// Soprano::Client::DBusModel::removeAllStatements
    {17, 114, 75},	// Soprano::Client::DBusModel::removeAllStatements#
    {17, 115, 89},	// Soprano::Client::DBusModel::removeAllStatements###
    {17, 116, 81},	// Soprano::Client::DBusModel::removeAllStatements####
    {17, 120, 74},	// Soprano::Client::DBusModel::removeStatement#
    {17, 124, 68},	// Soprano::Client::DBusModel::setAsyncCalls$
    {17, 133, 76},	// Soprano::Client::DBusModel::statementCount
    {17, 134, 92},	// Soprano::Client::DBusModel::staticMetaObject
    {17, 137, 85},	// Soprano::Client::DBusModel::tr$
    {17, 138, 62},	// Soprano::Client::DBusModel::tr$$
    {17, 139, 64},	// Soprano::Client::DBusModel::tr$$$
    {17, 141, 86},	// Soprano::Client::DBusModel::trUtf8$
    {17, 142, 63},	// Soprano::Client::DBusModel::trUtf8$$
    {17, 143, 65},	// Soprano::Client::DBusModel::trUtf8$$$
    {17, 146, 93},	// Soprano::Client::DBusModel::~DBusModel
    {18, 8, 95},	// Soprano::Client::DBusNodeIterator::DBusNodeIterator#
    {18, 9, 94},	// Soprano::Client::DBusNodeIterator::DBusNodeIterator$$
    {18, 147, 96},	// Soprano::Client::DBusNodeIterator::~DBusNodeIterator
    {19, 11, 98},	// Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator#
    {19, 12, 97},	// Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator$$
    {19, 148, 99},	// Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator
    {20, 14, 101},	// Soprano::Client::DBusStatementIterator::DBusStatementIterator#
    {20, 15, 100},	// Soprano::Client::DBusStatementIterator::DBusStatementIterator$$
    {20, 149, 102},	// Soprano::Client::DBusStatementIterator::~DBusStatementIterator
    {21, 36, 118},	// Soprano::Client::LocalSocketClient::LocalSocketClient
    {21, 37, 110},	// Soprano::Client::LocalSocketClient::LocalSocketClient#
    {21, 66, 120},	// Soprano::Client::LocalSocketClient::connect
    {21, 69, 114},	// Soprano::Client::LocalSocketClient::connect$
    {21, 81, 119},	// Soprano::Client::LocalSocketClient::createModel$
    {21, 82, 112},	// Soprano::Client::LocalSocketClient::createModel$?
    {21, 84, 115},	// Soprano::Client::LocalSocketClient::disconnect
    {21, 96, 111},	// Soprano::Client::LocalSocketClient::isConnected
    {21, 108, 103},	// Soprano::Client::LocalSocketClient::metaObject
    {21, 110, 109},	// Soprano::Client::LocalSocketClient::qt_metacall$$?
    {21, 112, 104},	// Soprano::Client::LocalSocketClient::qt_metacast$
    {21, 118, 113},	// Soprano::Client::LocalSocketClient::removeModel$
    {21, 134, 121},	// Soprano::Client::LocalSocketClient::staticMetaObject
    {21, 137, 116},	// Soprano::Client::LocalSocketClient::tr$
    {21, 138, 105},	// Soprano::Client::LocalSocketClient::tr$$
    {21, 139, 107},	// Soprano::Client::LocalSocketClient::tr$$$
    {21, 141, 117},	// Soprano::Client::LocalSocketClient::trUtf8$
    {21, 142, 106},	// Soprano::Client::LocalSocketClient::trUtf8$$
    {21, 143, 108},	// Soprano::Client::LocalSocketClient::trUtf8$$$
    {21, 150, 122},	// Soprano::Client::LocalSocketClient::~LocalSocketClient
    {22, 48, 158},	// Soprano::Client::SparqlModel::SparqlModel
    {22, 49, 159},	// Soprano::Client::SparqlModel::SparqlModel$
    {22, 50, 160},	// Soprano::Client::SparqlModel::SparqlModel$$
    {22, 51, 161},	// Soprano::Client::SparqlModel::SparqlModel$$$
    {22, 52, 130},	// Soprano::Client::SparqlModel::SparqlModel$$$$
    {22, 60, 134},	// Soprano::Client::SparqlModel::addStatement#
    {22, 61, 168},	// Soprano::Client::SparqlModel::addStatement###
    {22, 62, 148},	// Soprano::Client::SparqlModel::addStatement####
    {22, 72, 144},	// Soprano::Client::SparqlModel::containsAnyStatement#
    {22, 73, 173},	// Soprano::Client::SparqlModel::containsAnyStatement###
    {22, 74, 155},	// Soprano::Client::SparqlModel::containsAnyStatement####
    {22, 76, 143},	// Soprano::Client::SparqlModel::containsStatement#
    {22, 77, 172},	// Soprano::Client::SparqlModel::containsStatement###
    {22, 78, 154},	// Soprano::Client::SparqlModel::containsStatement####
    {22, 79, 147},	// Soprano::Client::SparqlModel::createBlankNode
    {22, 89, 164},	// Soprano::Client::SparqlModel::executeQuery$
    {22, 90, 165},	// Soprano::Client::SparqlModel::executeQuery$$
    {22, 91, 139},	// Soprano::Client::SparqlModel::executeQuery$$$
    {22, 93, 166},	// Soprano::Client::SparqlModel::executeQueryAsync$
    {22, 94, 167},	// Soprano::Client::SparqlModel::executeQueryAsync$$
    {22, 95, 140},	// Soprano::Client::SparqlModel::executeQueryAsync$$$
    {22, 97, 146},	// Soprano::Client::SparqlModel::isEmpty
    {22, 100, 141},	// Soprano::Client::SparqlModel::listContexts
    {22, 101, 142},	// Soprano::Client::SparqlModel::listContextsAsync
    {22, 102, 153},	// Soprano::Client::SparqlModel::listStatements
    {22, 103, 137},	// Soprano::Client::SparqlModel::listStatements#
    {22, 104, 171},	// Soprano::Client::SparqlModel::listStatements###
    {22, 105, 152},	// Soprano::Client::SparqlModel::listStatements####
    {22, 107, 138},	// Soprano::Client::SparqlModel::listStatementsAsync#
    {22, 108, 123},	// Soprano::Client::SparqlModel::metaObject
    {22, 110, 129},	// Soprano::Client::SparqlModel::qt_metacall$$?
    {22, 112, 124},	// Soprano::Client::SparqlModel::qt_metacast$
    {22, 113, 151},	// Soprano::Client::SparqlModel::removeAllStatements
    {22, 114, 136},	// Soprano::Client::SparqlModel::removeAllStatements#
    {22, 115, 170},	// Soprano::Client::SparqlModel::removeAllStatements###
    {22, 116, 150},	// Soprano::Client::SparqlModel::removeAllStatements####
    {22, 120, 135},	// Soprano::Client::SparqlModel::removeStatement#
    {22, 121, 169},	// Soprano::Client::SparqlModel::removeStatement###
    {22, 122, 149},	// Soprano::Client::SparqlModel::removeStatement####
    {22, 126, 162},	// Soprano::Client::SparqlModel::setHost$
    {22, 127, 131},	// Soprano::Client::SparqlModel::setHost$$
    {22, 129, 133},	// Soprano::Client::SparqlModel::setPath$
    {22, 131, 163},	// Soprano::Client::SparqlModel::setUser$
    {22, 132, 132},	// Soprano::Client::SparqlModel::setUser$$
    {22, 133, 145},	// Soprano::Client::SparqlModel::statementCount
    {22, 134, 174},	// Soprano::Client::SparqlModel::staticMetaObject
    {22, 137, 156},	// Soprano::Client::SparqlModel::tr$
    {22, 138, 125},	// Soprano::Client::SparqlModel::tr$$
    {22, 139, 127},	// Soprano::Client::SparqlModel::tr$$$
    {22, 141, 157},	// Soprano::Client::SparqlModel::trUtf8$
    {22, 142, 126},	// Soprano::Client::SparqlModel::trUtf8$$
    {22, 143, 128},	// Soprano::Client::SparqlModel::trUtf8$$$
    {22, 151, 175},	// Soprano::Client::SparqlModel::~SparqlModel
    {23, 16, 196},	// Soprano::Client::TcpClient::DEFAULT_PORT
    {23, 53, 191},	// Soprano::Client::TcpClient::TcpClient
    {23, 54, 183},	// Soprano::Client::TcpClient::TcpClient#
    {23, 66, 192},	// Soprano::Client::TcpClient::connect
    {23, 67, 193},	// Soprano::Client::TcpClient::connect#
    {23, 68, 184},	// Soprano::Client::TcpClient::connect#$
    {23, 81, 194},	// Soprano::Client::TcpClient::createModel$
    {23, 82, 187},	// Soprano::Client::TcpClient::createModel$?
    {23, 84, 186},	// Soprano::Client::TcpClient::disconnect
    {23, 96, 185},	// Soprano::Client::TcpClient::isConnected
    {23, 108, 176},	// Soprano::Client::TcpClient::metaObject
    {23, 110, 182},	// Soprano::Client::TcpClient::qt_metacall$$?
    {23, 112, 177},	// Soprano::Client::TcpClient::qt_metacast$
    {23, 118, 188},	// Soprano::Client::TcpClient::removeModel$
    {23, 134, 195},	// Soprano::Client::TcpClient::staticMetaObject
    {23, 137, 189},	// Soprano::Client::TcpClient::tr$
    {23, 138, 178},	// Soprano::Client::TcpClient::tr$$
    {23, 139, 180},	// Soprano::Client::TcpClient::tr$$$
    {23, 141, 190},	// Soprano::Client::TcpClient::trUtf8$
    {23, 142, 179},	// Soprano::Client::TcpClient::trUtf8$$
    {23, 143, 181},	// Soprano::Client::TcpClient::trUtf8$$$
    {23, 152, 197},	// Soprano::Client::TcpClient::~TcpClient
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();

static bool initialized = false;
Smoke *sopranoclient_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_sopranoclient_Smoke() {
    init_qtcore_Smoke();
    init_soprano_Smoke();
    if (initialized) return;
    sopranoclient_Smoke = new Smoke(
        "sopranoclient",
        __smokesopranoclient::classes, 36,
        __smokesopranoclient::methods, 200,
        __smokesopranoclient::methodMaps, 191,
        __smokesopranoclient::methodNames, 152,
        __smokesopranoclient::types, 159,
        __smokesopranoclient::inheritanceList,
        __smokesopranoclient::argumentList,
        __smokesopranoclient::ambiguousMethodList,
        __smokesopranoclient::cast );
    initialized = true;
}

void delete_sopranoclient_Smoke() { delete sopranoclient_Smoke; }

}
